000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "CTRLES2".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-CTRLES2 IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--CTRLES2.
000015     03 CTRLES2 PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  CTRLES2 USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-CTRLES2.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02  FUNC                  PIC X(10).
000025     02  NOMBRE                PIC X(50).
000026     02  SEXO                  PIC X(01).
000027     02  PUBLICIDAD            PIC X(01).
000028     02  EDAD                  PIC 9(01).
000029     02  CIUDAD                PIC 9(03).
000030 CONSTANT SECTION.
000031 LINKAGE SECTION.
000032 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000033 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000034                    USAGE IS COMPUTATIONAL-5.
000035 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000036                    USAGE IS COMPUTATIONAL-5.
000037 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000038                    USAGE IS COMPUTATIONAL-5.
000039 PROCEDURE DIVISION
000040     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000041     EVALUATE POWER--MESSAGE
000042     WHEN 1024
000043         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000044     WHEN 1036
000045         CALL "CTRLES2-OPENED"
000046     WHEN 1038
000047         CALL "CTRLES2-START"
000048     END-EVALUATE
000049     EXIT PROGRAM.
000050 IDENTIFICATION DIVISION.
000051 PROGRAM-ID. "CTRLES2-OPENED".
000052 ENVIRONMENT DIVISION.
000053 DATA        DIVISION.
000053 WORKING-STORAGE SECTION.
000054
000055 PROCEDURE   DIVISION.
000056 INICIO.
000057     MOVE HTTP-DATA-INP  TO WEB-DATA.
000058
000059     PERFORM TPL-OPEN-FILE.         
000060           
000061     PERFORM 100-SHOW-FORMA.
000062
000063     CLOSE CGI-OUT.
000064
000065     GO TO EXIT-PROG.
000066
000067 100-SHOW-FORMA.
000068     MOVE "tpl\ctrles2.html" TO TPL-FILENAME.
000069     PERFORM TPL-ADD-FILENAME.
000070
000071     MOVE "SEXO" TO FORM-NAME.
000072     MOVE "M" TO FORM-VALUE.
000073     PERFORM TPL-DATA-FORM.
000074
000075     MOVE "PUBLICIDAD" TO FORM-NAME.
000076     MOVE "S" TO FORM-VALUE.
000077     PERFORM TPL-DATA-FORM.
000078           
000079     MOVE "EDAD" TO FORM-NAME.
000080     MOVE "3" TO FORM-VALUE.
000081     PERFORM TPL-DATA-FORM.
000082           
000083
000084*    llena combo de ciudad *
000085     MOVE "CIUDAD" TO COMBO-NAME.
000086     MOVE "TAMPICO" TO COMBO-ITEM.
000087     MOVE "001" TO COMBO-VALUE.
000088     MOVE "N" TO COMBO-SELECTED.
000089     PERFORM TPL-ADD-TO-COMBO.
000090
000091     MOVE "MADERO" TO COMBO-ITEM.
000092     MOVE "002" TO COMBO-VALUE.
000093     PERFORM TPL-ADD-TO-COMBO.
000094
000095     MOVE "ALTAMIRA" TO COMBO-ITEM.
000096     MOVE "003" TO COMBO-VALUE.
000097     MOVE "Y" TO COMBO-SELECTED.
000098     PERFORM TPL-ADD-TO-COMBO.
000099
000100     MOVE "VICTORIA" TO COMBO-ITEM.
000101     MOVE "004" TO COMBO-VALUE.
000102     MOVE "N" TO COMBO-SELECTED.
000103     PERFORM TPL-ADD-TO-COMBO.
000104
000105     MOVE "REYNOSA" TO COMBO-ITEM.
000106     MOVE "005" TO COMBO-VALUE.
000107     PERFORM TPL-ADD-TO-COMBO.
000108           
000109     MOVE "MATAMOROS" TO COMBO-ITEM.
000110     MOVE "006" TO COMBO-VALUE.
000111     PERFORM TPL-ADD-TO-COMBO.
000112
000113
000114
000115     COPY "CGILIB\TEMPLATE.FDT".
000116
000117 EXIT-PROG.
000118     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE CTRLES2 .
000119
000120 END PROGRAM "CTRLES2-OPENED".
000121 IDENTIFICATION DIVISION.
000122 PROGRAM-ID. "CTRLES2-START".
000123 PROCEDURE DIVISION.
000124     EXIT PROGRAM.
000125 END PROGRAM "CTRLES2-START".
000126 END PROGRAM "CTRLES2".
