000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "FORMAP".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-FORMAP IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--FORMAP.
000015     03 FORMAP PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  FORMAP USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-FORMAP.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02 FUNC                  PIC X(10).
000025     02 USUARIO               PIC X(50).
000026     02 MPASSWORD             PIC X(50).
000027     02 LATITUD               PIC X(40).
000028     02 LONGITUD              PIC X(40).
000029 CONSTANT SECTION.
000030 LINKAGE SECTION.
000031 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000032 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000033                    USAGE IS COMPUTATIONAL-5.
000034 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000035                    USAGE IS COMPUTATIONAL-5.
000036 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000037                    USAGE IS COMPUTATIONAL-5.
000038 PROCEDURE DIVISION
000039     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000040     EVALUATE POWER--MESSAGE
000041     WHEN 1024
000042         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000043     WHEN 1036
000044         CALL "FORMAP-OPENED"
000045     WHEN 1038
000046         CALL "FORMAP-START"
000047     END-EVALUATE
000048     EXIT PROGRAM.
000049 IDENTIFICATION DIVISION.
000050 PROGRAM-ID. "FORMAP-OPENED".
000051 ENVIRONMENT DIVISION.
000052 DATA        DIVISION.
000052 WORKING-STORAGE SECTION.
000053
000054 PROCEDURE   DIVISION.
000055 INICIO.
000056     MOVE HTTP-DATA-INP  TO WEB-DATA.
000057
000058     PERFORM TPL-OPEN-FILE.         
000059           
000060     IF FUNC = "SHOW"
000061        PERFORM 100-SHOW-FORMA.
000062              
000063     IF FUNC = "GRABAR"
000064        PERFORM 200-GRABAR.
000065              
000066     IF FUNC = "DIBUJAR"
000067        PERFORM 300-DIBUJAR.
000068
000069     CLOSE CGI-OUT.
000070
000071     GO TO EXIT-PROG.
000072
000073 100-SHOW-FORMA.
000074     MOVE "tpl\formap1.html" TO TPL-FILENAME.
000075     PERFORM TPL-ADD-FILENAME.
000076       
000077* MUESTRA LOS DATOS QUE RECIBIO EL PROGRAMA
000078* CON ESTOS DATOS PODEMOS HACER LO QUE DESEEMOS, GRABARLOS
000079* EN UN ARCHIVO, VALIDAR, ETC.
000080* INCLUSO PODEMOS ENVIARLOS A OTRO TEMPLATE
000081 200-GRABAR.
000082     MOVE "tpl\formap2.html" TO TPL-FILENAME.
000083     PERFORM TPL-ADD-FILENAME.
000084
000085     MOVE "USUARIO" TO VAR-NAME.
000086     MOVE USUARIO   TO VAR-VALUE.
000087     PERFORM TPL-ADD-VAR.
000088
000089     MOVE "PASSWORD" TO VAR-NAME.
000090     MOVE MPASSWORD  TO VAR-VALUE.
000091     PERFORM TPL-ADD-VAR.
000092
000093     MOVE "LATITUD" TO VAR-NAME.
000094     MOVE LATITUD   TO VAR-VALUE
000095     PERFORM TPL-ADD-VAR.
000096           
000097     MOVE "LONGITUD" TO VAR-NAME.
000098     MOVE LONGITUD   TO VAR-VALUE
000099     PERFORM TPL-ADD-VAR.
000100           
000101 300-DIBUJAR.
000102     MOVE "tpl\formap3.html" TO TPL-FILENAME.
000103     PERFORM TPL-ADD-FILENAME.
000104
000105     MOVE "LATITUD" TO VAR-NAME.
000106     MOVE LATITUD   TO VAR-VALUE
000107     PERFORM TPL-ADD-VAR.
000108
000109     MOVE "LONGITUD" TO VAR-NAME.
000110     MOVE LONGITUD   TO VAR-VALUE
000111     PERFORM TPL-ADD-VAR.
000112
000113
000114     COPY "CGILIB\TEMPLATE.FDT".
000115
000116 EXIT-PROG.
000117     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE FORMAP .
000118
000119 END PROGRAM "FORMAP-OPENED".
000120 IDENTIFICATION DIVISION.
000121 PROGRAM-ID. "FORMAP-START".
000122 PROCEDURE DIVISION.
000123     EXIT PROGRAM.
000124 END PROGRAM "FORMAP-START".
000125 END PROGRAM "FORMAP".
