000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "MENU01".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-MENU01 IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--MENU01.
000015     03 MENU01 PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  MENU01 USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-MENU01.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02  LS-FUN                PIC X(10).
000025     02  LS-USUARIO            PIC X(10).
000026     02  LS-PASSWORD           PIC X(10).
000027     02  LS-LOGINOK            PIC X(10).
000028 CONSTANT SECTION.
000029 LINKAGE SECTION.
000030 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000031 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000032                    USAGE IS COMPUTATIONAL-5.
000033 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000034                    USAGE IS COMPUTATIONAL-5.
000035 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000036                    USAGE IS COMPUTATIONAL-5.
000037 PROCEDURE DIVISION
000038     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000039     EVALUATE POWER--MESSAGE
000040     WHEN 1024
000041         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000042     WHEN 1036
000043         CALL "MENU01-OPENED"
000044     WHEN 1038
000045         CALL "MENU01-START"
000046     END-EVALUATE
000047     EXIT PROGRAM.
000048 IDENTIFICATION DIVISION.
000049 PROGRAM-ID. "MENU01-OPENED".
000050 ENVIRONMENT DIVISION.
000051 DATA        DIVISION.
000052
000053 WORKING-STORAGE SECTION.
000054 77  MSG-ERROR                 PIC X(50).
000055 77  FLAG-OK                   PIC 9(01).
000056       
000057 77  USUARIO-ID                PIC 9(04).
000058 77  USUARIO-NOM               PIC X(30).
000059
000060
000061 PROCEDURE   DIVISION.
000062 INICIO.
000063     MOVE HTTP-DATA-INP  TO WEB-DATA.
000064
000065     PERFORM TPL-OPEN-FILE.         
000066           
000067*   si mi variable LOGINOK ya tiene mi clave interna, ya hizo login
000068     IF LS-LOGINOK = "COB1357"
000069        PERFORM 300-YA-HIZO-LOGIN
000070        CLOSE CGI-OUT
000071        GO TO 999-EXIT.
000072              
000073     IF LS-FUN = SPACES
000074        MOVE "Show" TO LS-FUN.
000075
000076     IF LS-FUN = "Show"
000077        PERFORM 100-SHOW-FORM
000078     ELSE
000079     IF LS-FUN = "Check"
000080        MOVE 0 TO FLAG-OK
000081        PERFORM 200-VALIDA-USUARIO
000082        IF FLAG-OK = 0
000083           PERFORM 300-SHOW-MENU
000084        ELSE
000085           PERFORM 400-ERROR-USUARIO.
000086
000087     CLOSE CGI-OUT.
000088
000089     GO TO EXIT-PROG.
000090
000091 100-SHOW-FORM.
000092     MOVE "MSGERROR" TO VAR-NAME.
000093     MOVE SPACES TO VAR-VALUE.
000094     PERFORM TPL-ADD-VAR.
000095           
000096     MOVE "tpl\menu\login.html" TO TPL-FILENAME.
000097     PERFORM TPL-ADD-FILENAME.
000098
000099
000100* valida que el usuario sea valido para el sistema
000101 200-VALIDA-USUARIO.
000102     IF LS-USUARIO = "COBOL" AND LS-PASSWORD = "COBOL"
000103        MOVE 1001 TO USUARIO-ID
000104        MOVE "USUARIO GENERAL" TO USUARIO-NOM
000105     ELSE
000106     IF LS-USUARIO = "ALBERTO" AND LS-PASSWORD = "COBTOOLS"
000107        MOVE 1001 TO USUARIO-ID
000108        MOVE "ALBERTO ORTEGA" TO USUARIO-NOM
000109     ELSE
000110     IF LS-USUARIO = "JOSE" AND LS-PASSWORD = "COBOL"
000111        MOVE 1002 TO USUARIO-ID
000112        MOVE "JOSE MARTINEZ" TO USUARIO-NOM
000113     ELSE
000114        MOVE "** INVALID USERNAME **" TO MSG-ERROR
000115        MOVE 1 TO FLAG-OK.
000116
000117
000118* indica que template html se usara para regresar el menu
000119 300-SHOW-MENU.
000120*    guardamos una variable de session LOGIN con una clave interna
000121*    para saber si ya paso por aqui
000122     MOVE "LOGINOK"    TO SESS-NAME.
000123     MOVE "COB1357"    TO SESS-VALUE.
000124     PERFORM TPL-ADD-SESSION.
000125           
000126     MOVE "USUARIOID"      TO VAR-NAME.
000127     MOVE USUARIO-ID       TO VAR-VALUE.
000128     PERFORM TPL-ADD-VAR.
000129           
000130     MOVE "USUARIONOM"     TO VAR-NAME.
000131     MOVE USUARIO-NOM      TO VAR-VALUE.
000132     PERFORM TPL-ADD-VAR.
000133           
000134     MOVE "tpl\menu\bienvenida.html" TO TPL-FILENAME.
000135     PERFORM TPL-ADD-FILENAME.
000136
000137 300-YA-HIZO-LOGIN.
000138     MOVE "tpl\menu\yahizologin.html" TO TPL-FILENAME.
000139     PERFORM TPL-ADD-FILENAME.
000140
000141       
000142* muestra nuevamente la pagina de login
000143* pero manda un mensaje de error al formulario
000144 400-ERROR-USUARIO.
000145     MOVE "MSGERROR" TO VAR-NAME.
000146     MOVE "No existe el usuario o la contrasea es incorrecta"
000147          TO VAR-VALUE.
000148     PERFORM TPL-ADD-VAR.
000149
000150     MOVE "tpl\menu\login.html" TO TPL-FILENAME.
000151     PERFORM TPL-ADD-FILENAME.
000152
000153
000154
000155     COPY "CGILIB\TEMPLATE.FDT".
000156
000157 999-EXIT.
000158
000159 EXIT-PROG.
000160     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE MENU01 .
000161
000162 END PROGRAM "MENU01-OPENED".
000163 IDENTIFICATION DIVISION.
000164 PROGRAM-ID. "MENU01-START".
000165 PROCEDURE DIVISION.
000166     EXIT PROGRAM.
000167 END PROGRAM "MENU01-START".
000168 END PROGRAM "MENU01".
