000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "MENU02".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009
000010     COPY "CLIENTES.SEL".
000011 DATA DIVISION.
000012 BASED-STORAGE SECTION.
000013 FILE SECTION.
000014     COPY "CGILIB\CGI-OUT.FD".
000015
000016     COPY "CLIENTES.FD".
000017 WORKING-STORAGE SECTION.
000018 01 POWER--HPOWOBJS-MENU02 IS GLOBAL IS EXTERNAL.
000019   02 POWER--HPOWOBJ--MENU02.
000019     03 MENU02 PIC S9(9) COMP-5.
000019     03 POW-P001 REDEFINES  MENU02 USAGE POINTER.
000020 01  REDEFINES POWER--HPOWOBJS-MENU02.
000021   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000022 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000023 COPY "CGILIB\LS-HTTP-PW3.FDT".
000024
000025 COPY "CGILIB\TEMPLATE.WSS".
000026
000027 01  WEB-DATA IS GLOBAL.
000028     02 LS-LOGINOK             PIC X(10).
000029     02 LS-FUNC                PIC X(10).
000030     02 LS-CLI-FIN             PIC 9(06).
000031     02 LS-CLAVE               PIC 9(06).
000032     02 LS-RAZSOC              PIC X(45).
000033     02 LS-NOMBRE              PIC X(45).
000034     02 LS-DIRECCION           PIC X(60).
000035     02 LS-POBLACION           PIC X(35).
000036     02 LS-CODIGO              PIC 9(06).
000037     02 LS-TELEFONOS           PIC X(30).
000038     02 LS-RFC                 PIC X(15).
000039     02 LS-CUENTACTB           PIC X(15).
000040     02 LS-DESCUENTO           PIC 99V99.
000041     02 LS-PLAZO-NORMAL        PIC 9(03).
000042
000043 01  WS-GLOBAL IS GLOBAL.
000044     02  STAT-CAT                  PIC XX.
000045     02  WF-CLIENTES               PIC X(50).
000046     02  FLAG-ROW                  PIC 9.
000047     02  IK                        PIC X.
000048     02  L-DESCUENTO               PIC Z9.99.
000049     02  I                         PIC 9(02).
000050     02  MAX-ROWS                  PIC 9(02) VALUE 10.
000051
000052 CONSTANT SECTION.
000053 LINKAGE SECTION.
000054 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000055 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000056                    USAGE IS COMPUTATIONAL-5.
000057 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000058                    USAGE IS COMPUTATIONAL-5.
000059 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000060                    USAGE IS COMPUTATIONAL-5.
000061 PROCEDURE DIVISION
000062     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000063     EVALUATE POWER--MESSAGE
000064     WHEN 1024
000065         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000066     WHEN 1036
000067         CALL "MENU02-OPENED"
000068     WHEN 1038
000069         CALL "MENU02-START"
000070     END-EVALUATE
000071     EXIT PROGRAM.
000072 IDENTIFICATION DIVISION.
000073 PROGRAM-ID. "MENU02-OPENED".
000074 ENVIRONMENT DIVISION.
000075 DATA        DIVISION.
000075 WORKING-STORAGE SECTION.
000075 77 POW-0001 PIC X(260) .
000075 77 POW-0002 PIC X(14) .
000076
000077 PROCEDURE   DIVISION.
000078 DECLARATIVES.                                                  
000079 BLOQUEO SECTION.                                               
000080     USE AFTER STANDARD ERROR PROCEDURE ON CGI-OUT CLIENTES.    
000081 END DECLARATIVES.                                              
000082 PROGRAMA SECTION.                                              
000083 INICIO.
000084     MOVE HTTP-DATA-INP  TO WEB-DATA.
000085
000086     IF LS-LOGINOK NOT = "COB1357"
000087        MOVE SPACES TO HTTP-DATA-INP
000088        MOVE  "POWER3.DLL"  TO POW-0001
000088        MOVE  "MENU01"  TO POW-0002
000088        CALL "XPOWCSOPENDLLSHEET"  USING BY VALUE MENU02 BY REFERENCE POW-0001 POW-0002 
000089        GO TO 999-EXIT.
000090
000091
000092     PERFORM TPL-OPEN-FILE.         
000093           
000094     MOVE "CLIENTES.DAT" TO WF-CLIENTES.
000095           
000096     OPEN I-O CLIENTES.
000097     IF STAT-CAT = "35"
000098        CLOSE CLIENTES
000099        OPEN OUTPUT CLIENTES
000100        CLOSE CLIENTES
000101        OPEN I-O CLIENTES.
000102           
000103     IF STAT-CAT NOT = "00"
000104        PERFORM 900-ERROR-OPEN
000105        CLOSE CLIENTES
000106        CLOSE CGI-OUT
000107        GO 999-EXIT.
000108              
000109     IF LS-FUNC = SPACES
000110        MOVE "Browse" TO LS-FUNC.
000111              
000112              
000113     IF LS-FUNC = "Save"
000114        PERFORM 500-SAVE
000115     ELSE
000116     IF LS-FUNC = "Update"
000117        PERFORM 530-UPDATE
000118     ELSE
000119     IF LS-FUNC = "DelOk"
000120        PERFORM 540-DELETE
000121     ELSE
000122     IF LS-FUNC = "New"
000123        PERFORM 100-SHOW-NEW
000124     ELSE
000125     IF LS-FUNC = "Modif"
000126        PERFORM 200-SHOW-MODIF
000127     ELSE
000128     IF LS-FUNC = "Del"
000129        PERFORM 300-SHOW-DELETE.
000130
000131     IF LS-FUNC = "First"
000132        PERFORM 700-PREPARA-FIRST
000133        PERFORM 700-BROWSE
000134     ELSE
000135     IF LS-FUNC = "Prev"
000136        PERFORM 700-PREPARA-PREV
000137        PERFORM 700-BROWSE
000138     ELSE
000139     IF LS-FUNC = "Next"
000140        PERFORM 700-PREPARA-NEXT
000141        PERFORM 700-BROWSE
000142     ELSE
000143     IF LS-FUNC = "Last"
000144        PERFORM 700-PREPARA-LAST
000145        PERFORM 700-BROWSE.
000146           
000147     IF LS-FUNC = "Browse"
000148        PERFORM 700-BROWSE-ALL.
000149
000150
000151     CLOSE CLIENTES.
000152
000153     CLOSE CGI-OUT.
000154
000155     GO TO EXIT-PROG.
000156
000157 100-SHOW-NEW.
000158     MOVE "FUNCION" TO VAR-NAME
000159     MOVE "Save"    TO VAR-VALUE
000160     PERFORM TPL-ADD-VAR
000161     MOVE "TIT_OPER" TO VAR-NAME
000162     MOVE "Registro Nuevo" TO VAR-VALUE.
000163     PERFORM TPL-ADD-VAR.
000164     MOVE "tpl\menu\act_cli_form.html" TO TPL-FILENAME.
000165     PERFORM TPL-ADD-FILENAME.
000166           
000167 200-SHOW-MODIF.
000168     MOVE LS-CLAVE TO C03-CLAVE
000169     READ CLIENTES INVALID KEY MOVE SPACE TO IK.
000170     IF STAT-CAT = "00"
000171        PERFORM 600-DATA-TO-FORM
000172        MOVE "FUNCION" TO VAR-NAME
000173        MOVE "Update"  TO VAR-VALUE
000174        PERFORM TPL-ADD-VAR
000175        MOVE "TIT_OPER" TO VAR-NAME
000176        MOVE "Modificando Registro" TO VAR-VALUE
000177        PERFORM TPL-ADD-VAR
000178        MOVE "tpl\menu\act_cli_form.html" TO TPL-FILENAME.
000179        PERFORM TPL-ADD-FILENAME.
000180              
000181 300-SHOW-DELETE.
000182     MOVE LS-CLAVE TO C03-CLAVE.
000183     READ CLIENTES INVALID KEY MOVE SPACE TO IK.
000184     PERFORM 600-DATA-TO-FORM.
000185     MOVE "FUNCION" TO VAR-NAME
000186     MOVE "DelOk" TO VAR-VALUE
000187     PERFORM TPL-ADD-VAR.
000188     MOVE "TIT_OPER" TO VAR-NAME
000189     MOVE "Eliminando Registro" TO VAR-VALUE
000190     PERFORM TPL-ADD-VAR.
000191     MOVE "tpl\menu\act_cli_form.html" TO TPL-FILENAME.
000192     PERFORM TPL-ADD-FILENAME.
000193
000194
000195           
000196 500-SAVE.
000197     IF LS-CLAVE = ZEROS
000198        MOVE "MSG_ERROR" TO VAR-NAME
000199        MOVE "** LA CLAVE DEBE SER MAYOR A CERO **" TO VAR-VALUE
000200        PERFORM TPL-ADD-VAR
000201        PERFORM 600-MEM-TO-FORM
000202        PERFORM 100-SHOW-NEW
000203     ELSE
000204        PERFORM 510-SAVE.
000205              
000206 510-SAVE.
000207     MOVE LS-CLAVE TO C03-CLAVE.
000208     READ CLIENTES INVALID KEY MOVE SPACE TO IK.
000209     IF STAT-CAT = "00"
000210        MOVE "msg_error" TO VAR-NAME
000211        MOVE "** CLIENTE YA EXISTE **" TO VAR-VALUE
000212        PERFORM TPL-ADD-VAR
000213        PERFORM 600-MEM-TO-FORM
000214        PERFORM 100-SHOW-NEW
000215     ELSE
000216        PERFORM 600-FORM-TO-DATA
000217        WRITE R-CLIENTES INVALID KEY MOVE SPACE TO IK
000218        END-WRITE
000219
000220        PERFORM 700-BROWSE-ALL.
000221              
000222 530-UPDATE.
000223     MOVE LS-CLAVE TO C03-CLAVE.
000224     READ CLIENTES INVALID KEY MOVE SPACE TO IK.
000225     IF STAT-CAT = "00"
000226        PERFORM 600-FORM-TO-DATA
000227        REWRITE R-CLIENTES.
000228              
000229     PERFORM 700-BROWSE-ALL.
000230
000231
000232 540-DELETE.
000233     MOVE LS-CLAVE TO C03-CLAVE.
000234     READ CLIENTES INVALID KEY MOVE SPACE TO IK.
000235     IF STAT-CAT = "00"
000236        DELETE CLIENTES.
000237              
000238     PERFORM 700-BROWSE-ALL.
000239
000240              
000241
000242              
000243* carga los datos de la forma a el archivo
000244 600-FORM-TO-DATA.
000245     MOVE LS-RAZSOC     TO C03-RAZSOC
000246     MOVE LS-NOMBRE     TO C03-NOMBRE
000247     MOVE LS-DIRECCION  TO C03-DIRECCION
000248     MOVE LS-POBLACION  TO C03-POBLACION
000249     MOVE LS-CODIGO     TO C03-CODIGO
000250     MOVE LS-TELEFONOS  TO C03-TELEFONOS
000251     MOVE LS-RFC        TO C03-RFC
000252     MOVE LS-CUENTACTB  TO C03-CUENTACTB
000253     MOVE LS-DESCUENTO  TO C03-DESCUENTO
000254     MOVE LS-PLAZO-NORMAL  TO C03-PLAZO-NORMAL.
000255           
000256* carga los datos del archivo hacia la forma
000257 600-DATA-TO-FORM.
000258     MOVE "CLAVE" TO VAR-NAME
000259     MOVE LS-CLAVE TO VAR-VALUE
000260     PERFORM TPL-ADD-VAR.
000261           
000262     MOVE "RAZSOC"      TO VAR-NAME
000263     MOVE C03-RAZSOC    TO VAR-VALUE
000264     PERFORM TPL-ADD-VAR
000265           
000266     MOVE "NOMBRE"      TO VAR-NAME
000267     MOVE C03-NOMBRE    TO VAR-VALUE
000268     PERFORM TPL-ADD-VAR.
000269           
000270     MOVE "DIRECCION"   TO VAR-NAME
000271     MOVE C03-DIRECCION TO VAR-VALUE
000272     PERFORM TPL-ADD-VAR.
000273           
000274     MOVE "POBLACION"   TO VAR-NAME
000275     MOVE C03-POBLACION TO VAR-VALUE
000276     PERFORM TPL-ADD-VAR.
000277           
000278     MOVE "CODIGO"      TO VAR-NAME
000279     MOVE C03-CODIGO    TO VAR-VALUE
000280     PERFORM TPL-ADD-VAR.
000281           
000282     MOVE "TELEFONOS"   TO VAR-NAME
000283     MOVE C03-TELEFONOS TO VAR-VALUE
000284     PERFORM TPL-ADD-VAR.
000285           
000286     MOVE "RFC"         TO VAR-NAME
000287     MOVE C03-RFC       TO VAR-VALUE
000288     PERFORM TPL-ADD-VAR.
000289           
000290     MOVE "CUENTACTB"   TO VAR-NAME
000291     MOVE C03-CUENTACTB TO VAR-VALUE
000292     PERFORM TPL-ADD-VAR
000293           
000294     MOVE "DESCUENTO"   TO VAR-NAME
000295     MOVE C03-DESCUENTO TO L-DESCUENTO
000296     MOVE L-DESCUENTO   TO VAR-VALUE
000297     PERFORM TPL-ADD-VAR.
000298           
000299     MOVE "PLAZO"        TO VAR-NAME
000300     MOVE C03-PLAZO-NORMAL TO VAR-VALUE
000301     PERFORM TPL-ADD-VAR.
000302           
000303* pasa los datos de memoria a la forma
000304 600-MEM-TO-FORM.
000305     MOVE "CLAVE" TO VAR-NAME
000306     MOVE LS-CLAVE TO VAR-VALUE
000307     PERFORM TPL-ADD-VAR.
000308
000309     MOVE "RAZSOC"      TO VAR-NAME
000310     MOVE LS-RAZSOC    TO VAR-VALUE
000311     PERFORM TPL-ADD-VAR
000312
000313     MOVE "NOMBRE"      TO VAR-NAME
000314     MOVE LS-NOMBRE    TO VAR-VALUE
000315     PERFORM TPL-ADD-VAR.
000316
000317     MOVE "DIRECCION"   TO VAR-NAME
000318     MOVE LS-DIRECCION TO VAR-VALUE
000319     PERFORM TPL-ADD-VAR.
000320
000321     MOVE "POBLACION"   TO VAR-NAME
000322     MOVE LS-POBLACION TO VAR-VALUE
000323     PERFORM TPL-ADD-VAR.
000324
000325     MOVE "CODIGO"      TO VAR-NAME
000326     MOVE LS-CODIGO    TO VAR-VALUE
000327     PERFORM TPL-ADD-VAR.
000328
000329     MOVE "TELEFONOS"   TO VAR-NAME
000330     MOVE LS-TELEFONOS TO VAR-VALUE
000331     PERFORM TPL-ADD-VAR.
000332
000333     MOVE "RFC"         TO VAR-NAME
000334     MOVE LS-RFC       TO VAR-VALUE
000335     PERFORM TPL-ADD-VAR.
000336
000337     MOVE "CUENTACTB"   TO VAR-NAME
000338     MOVE LS-CUENTACTB TO VAR-VALUE
000339     PERFORM TPL-ADD-VAR
000340
000341     MOVE "DESCUENTO"   TO VAR-NAME
000342     MOVE LS-DESCUENTO TO L-DESCUENTO
000343     MOVE L-DESCUENTO   TO VAR-VALUE
000344     PERFORM TPL-ADD-VAR.
000345
000346     MOVE "PLAZO"        TO VAR-NAME
000347     MOVE LS-PLAZO-NORMAL TO VAR-VALUE
000348     PERFORM TPL-ADD-VAR.
000349
000350
000351 700-PREPARA-FIRST.
000352     MOVE ZEROS TO C03-CLAVE                                         
000353     START CLIENTES KEY IS NOT LESS THAN C03-LLAVE                   
000354           INVALID KEY MOVE SPACE TO IK.                             
000355                                                               
000356 700-PREPARA-PREV.                                                   
000357     MOVE LS-CLI-FIN TO C03-CLAVE                                    
000358     START CLIENTES KEY IS NOT LESS THAN C03-LLAVE                   
000359            INVALID KEY MOVE SPACE TO IK.                            
000360     IF STAT-CAT = "00"                                              
000361        PERFORM 700-REG-PAGINA 2 TIMES.                              
000362                                                               
000363 700-PREPARA-NEXT.                                                   
000364     MOVE LS-CLI-FIN TO C03-CLAVE.                                   
000365     START CLIENTES KEY IS NOT LESS THAN C03-CLAVE                   
000366            INVALID KEY MOVE SPACE TO IK.                            
000367                                                               
000368 700-PREPARA-LAST.                                                   
000369     MOVE 999999 TO C03-CLAVE.                                       
000370     START CLIENTES KEY IS LESS THAN C03-LLAVE                       
000371           INVALID KEY MOVE SPACE TO IK.                             
000372     IF STAT-CAT = "00"                                              
000373        READ CLIENTES PREVIOUS RECORD                                
000374        PERFORM 700-REG-PAGINA.                                      
000375                                                               
000376 700-REG-PAGINA.                                                     
000377     PERFORM VARYING I FROM 1 BY 1 UNTIL I > MAX-ROWS                
000378        IF STAT-CAT = "00"                                           
000379           READ CLIENTES PREVIOUS RECORD                             
000380           END-READ                                                  
000381        END-IF                                                       
000382     END-PERFORM.                                                    
000383                                                               
000384                                                               
000385                                                               
000386                                                               
000387                                                               
000388 700-BROWSE-ALL.                                                     
000389     PERFORM 700-PREPARA-FIRST.                                      
000390     PERFORM 700-BROWSE.                                             
000391                                                               
000392 700-BROWSE.                                                         
000393     MOVE "tpl\menu\act_cli_browse.html" TO TPL-FILENAME.            
000394     PERFORM TPL-ADD-FILENAME.                                       
000395                                                               
000396     MOVE 0 TO FLAG-ROW.                                             
000397     MOVE 0 TO I.                                                    
000398     PERFORM 700-LLENA-TABLA THRU 750-EXIT.                          
000399     MOVE "CLI-FIN" TO VAR-NAME                                      
000400     MOVE C03-CLAVE TO VAR-VALUE                                     
000401     PERFORM TPL-ADD-VAR.                                            
000402                                                               
000403 700-LLENA-TABLA.                                                    
000404     READ CLIENTES NEXT RECORD AT END GO 750-EXIT.                   
000405
000406     IF STAT-CAT NOT = "00"                                          
000407        GO 750-EXIT.                                                 
000408                                                                     
000409     MOVE "CLAVE" TO VAR-NAME.                                       
000410     MOVE C03-CLAVE TO VAR-VALUE.                                    
000411     PERFORM TPL-ADD-VAR.                                            
000412                                                                     
000413     MOVE "NOMBRE" TO VAR-NAME.                                      
000414     MOVE C03-NOMBRE TO VAR-VALUE.                                   
000415     PERFORM TPL-ADD-VAR.                                            
000416                                                                     
000417     IF FLAG-ROW = 0                                                 
000418        MOVE "ROW1"  TO BLOCK-NAME                                   
000419        MOVE 1 TO FLAG-ROW                                           
000420     ELSE                                                            
000421        MOVE "ROW2" TO BLOCK-NAME                                    
000422        MOVE 0 TO FLAG-ROW.                                          
000423     MOVE "TABLA" TO BLOCK-PASTE.                                    
000424     PERFORM TPL-OPEN-BLOCK.                                         
000425                                                                     
000426     ADD 1 TO I.                                                     
000427     IF I = MAX-ROWS                                                 
000428        GO 750-EXIT.                                                 
000429                                                                     
000430     GO 700-LLENA-TABLA.                                             
000431 750-EXIT.                                                           
000432     EXIT.                                                           
000433                                                                     
000434                                                               
000435                                                               
000436                                                               
000437                                                               
000438                                                                     
000439 900-ERROR-OPEN.                                                     
000440     MOVE "<CENTER><BIG>" TO CGI-COMMAND.                            
000441     PERFORM TPL-DISP-COMMAND.                                       
000442                                                                     
000443     MOVE "ERROR AL ABRIR CATALOGO DE CLIENTES" TO CGI-COMMAND.      
000444     PERFORM TPL-DISP-COMMAND.                                       
000445                                                                     
000446     STRING "<BR>ARCHIVO = ", WF-CLIENTES                            
000447            DELIMITED BY SIZE INTO CGI-COMMAND.                      
000448     PERFORM TPL-DISP-COMMAND.                                       
000449                                                                     
000450     STRING "<BR>ESTATUS DEL ARCHIVO = ", STAT-CAT                   
000451            DELIMITED BY SIZE INTO CGI-COMMAND.                      
000452     PERFORM TPL-DISP-COMMAND.                                       
000453                                                                     
000454     MOVE "</BIG></CENTER>" TO CGI-COMMAND.                          
000455     PERFORM TPL-DISP-COMMAND.                                       
000456                                                               
000457
000458
000459     COPY "CGILIB\TEMPLATE.FDT".
000460
000461 999-EXIT.
000462
000463 EXIT-PROG.
000464     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE MENU02 .
000465
000466 END PROGRAM "MENU02-OPENED".
000467 IDENTIFICATION DIVISION.
000468 PROGRAM-ID. "MENU02-START".
000469 PROCEDURE DIVISION.
000470     EXIT PROGRAM.
000471 END PROGRAM "MENU02-START".
000472 END PROGRAM "MENU02".
