000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "MENU04".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-MENU04 IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--MENU04.
000015     03 MENU04 PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  MENU04 USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-MENU04.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02  LS-LOGINOK            PIC X(10).
000025 CONSTANT SECTION.
000026 LINKAGE SECTION.
000027 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000028 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000029                    USAGE IS COMPUTATIONAL-5.
000030 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000031                    USAGE IS COMPUTATIONAL-5.
000032 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000033                    USAGE IS COMPUTATIONAL-5.
000034 PROCEDURE DIVISION
000035     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000036     EVALUATE POWER--MESSAGE
000037     WHEN 1024
000038         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000039     WHEN 1036
000040         CALL "MENU04-OPENED"
000041     WHEN 1038
000042         CALL "MENU04-START"
000043     END-EVALUATE
000044     EXIT PROGRAM.
000045 IDENTIFICATION DIVISION.
000046 PROGRAM-ID. "MENU04-OPENED".
000047 ENVIRONMENT DIVISION.
000048 DATA        DIVISION.
000048 WORKING-STORAGE SECTION.
000049
000050 PROCEDURE   DIVISION.
000051 INICIO.
000052     MOVE HTTP-DATA-INP  TO WEB-DATA.
000053
000054     PERFORM TPL-OPEN-FILE.         
000055           
000056     MOVE "tpl\template.html" TO TPL-FILENAME.
000057     PERFORM TPL-ADD-FILENAME.
000058
000059     PERFORM 300-LOGOUT.
000060                                                              
000061                                                        
000062     CLOSE CGI-OUT.                                           
000063                                                        
000064     GO TO 999-EXIT.                                          
000065                                                              
000066* regresa el template, y la variable LOGINOK la elimina       
000067* para indicar que ya no hizo login                           
000068 300-LOGOUT.                                                  
000069     MOVE "LOGINOK"    TO SESS-NAME.                          
000070     MOVE "XXX"        TO SESS-VALUE.                         
000071     PERFORM TPL-ADD-SESSION.                                 
000072                                                              
000073     MOVE "tpl\menu\logout.html" TO TPL-FILENAME.             
000074     PERFORM TPL-ADD-FILENAME.                                
000075                                                              
000076
000077
000078     COPY "CGILIB\TEMPLATE.FDT".
000079
000080 999-EXIT.
000081
000082 EXIT-PROG.
000083     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE MENU04 .
000084
000085 END PROGRAM "MENU04-OPENED".
000086 IDENTIFICATION DIVISION.
000087 PROGRAM-ID. "MENU04-START".
000088 PROCEDURE DIVISION.
000089     EXIT PROGRAM.
000090 END PROGRAM "MENU04-START".
000091 END PROGRAM "MENU04".
