000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "PRIMER".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-PRIMER IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--PRIMER.
000015     03 PRIMER PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  PRIMER USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-PRIMER.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02  FUNC                  PIC X(10).
000025     02  CLAVE                 PIC X(10).
000026     02  NOMBRE                PIC X(50).
000027     02  DIRECCION             PIC X(50).
000028     02  IMPORTE               PIC 9(12)V99-.
000029
000030 CONSTANT SECTION.
000031 LINKAGE SECTION.
000032 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000033 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000034                    USAGE IS COMPUTATIONAL-5.
000035 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000036                    USAGE IS COMPUTATIONAL-5.
000037 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000038                    USAGE IS COMPUTATIONAL-5.
000039 PROCEDURE DIVISION
000040     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000041     EVALUATE POWER--MESSAGE
000042     WHEN 1024
000043         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000044     WHEN 1036
000045         CALL "PRIMER-OPENED"
000046     WHEN 1038
000047         CALL "PRIMER-START"
000048     END-EVALUATE
000049     EXIT PROGRAM.
000050 IDENTIFICATION DIVISION.
000051 PROGRAM-ID. "PRIMER-OPENED".
000052 ENVIRONMENT DIVISION.
000053 DATA        DIVISION.
000054
000055 WORKING-STORAGE SECTION.
000056 01  LIN-FUNC.
000057     02  FILLER                PIC X(20) VALUE
000058         "EL VALOR DE FUNC = ".
000059     02  WS-FUNC               PIC X(20).
000060     02 FILLER                 PIC X(04) VALUE "<BR>".
000061
000062 01  LIN-CLAVE.
000063     02  FILLER                PIC X(20) VALUE
000064         "EL VALOR DE CLAVE = ".
000065     02  WS-CLAVE              PIC X(10).
000066     02 FILLER                 PIC X(04) VALUE "<BR>".
000067
000068 01  LIN-NOMBRE.
000069     02  FILLER                PIC X(25) VALUE
000070         "EL VALOR DE NOMBRE = ".
000071     02  WS-NOMBRE             PIC X(50).
000072     02 FILLER                 PIC X(04) VALUE "<BR>".
000073
000074 01  LIN-DIRECCION.
000075     02  FILLER                PIC X(25) VALUE
000076         "EL VALOR DE DIRECCION = ".
000077     02  WS-DIRECCION          PIC X(50).
000078     02 FILLER                 PIC X(04) VALUE "<BR>".
000079
000080 01  LIN-IMPORTE.
000081     02  FILLER                PIC X(25) VALUE
000082         "EL VALOR DE IMPORTE = ".
000083     02  WS-IMPORTE            PIC ZZZ,ZZZ,ZZ9.99-.
000084     02 FILLER                 PIC X(04) VALUE "<BR>".
000085
000086 PROCEDURE   DIVISION.
000087     MOVE HTTP-DATA-INP  TO WEB-DATA.
000088
000089     PERFORM TPL-OPEN-FILE.
000090           
000091     IF FUNC = "FORMA"
000092        PERFORM 100-SHOW-FORMA.
000093              
000094     IF FUNC = "GRABAR"
000095        PERFORM 200-GRABAR.
000096
000097     CLOSE CGI-OUT.
000098
000099     GO TO 999-EXIT.
000100           
000101 100-SHOW-FORMA.
000102     MOVE "tpl\primer.html" TO TPL-FILENAME.
000103     PERFORM TPL-ADD-FILENAME.
000104       
000105* MUESTRA LOS DATOS QUE RECIBIO EL PROGRAMA
000106* CON ESTOS DATOS PODEMOS HACER LO QUE DESEEMOS, GRABARLOS
000107* EN UN ARCHIVO, VALIDAR, ETC.
000108* INCLUSO PODEMOS ENVIARLOS A OTRO TEMPLATE
000109 200-GRABAR.
000110     MOVE FUNC TO WS-FUNC.
000111     MOVE CLAVE TO WS-CLAVE.
000112     MOVE NOMBRE TO WS-NOMBRE.
000113     MOVE DIRECCION TO WS-DIRECCION.
000114     MOVE IMPORTE   TO WS-IMPORTE.
000115
000116     WRITE R-CGI-OUT FROM LIN-FUNC.
000117     WRITE R-CGI-OUT FROM LIN-CLAVE.
000118     WRITE R-CGI-OUT FROM LIN-NOMBRE.
000119     WRITE R-CGI-OUT FROM LIN-DIRECCION.
000120     WRITE R-CGI-OUT FROM LIN-IMPORTE.
000121
000122
000123 COPY "CGILIB\TEMPLATE.FDT".
000124
000125 999-EXIT.
000126
000127
000128 EXIT-PROG.
000129     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE PRIMER .
000130
000131 END PROGRAM "PRIMER-OPENED".
000132 IDENTIFICATION DIVISION.
000133 PROGRAM-ID. "PRIMER-START".
000134 PROCEDURE DIVISION.
000135     EXIT PROGRAM.
000136 END PROGRAM "PRIMER-START".
000137 END PROGRAM "PRIMER".
