000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "REPMEMO3".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-REPMEMO3 IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--REPMEMO3.
000015     03 REPMEMO3 PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  REPMEMO3 USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-REPMEMO3.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02  FIELD1                PIC X(01).
000025     02  FIELD2                PIC X(01).
000026 CONSTANT SECTION.
000027 LINKAGE SECTION.
000028 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000029 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000030                    USAGE IS COMPUTATIONAL-5.
000031 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000032                    USAGE IS COMPUTATIONAL-5.
000033 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000034                    USAGE IS COMPUTATIONAL-5.
000035 PROCEDURE DIVISION
000036     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000037     EVALUATE POWER--MESSAGE
000038     WHEN 1024
000039         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000040     WHEN 1036
000041         CALL "REPMEMO3-OPENED"
000042     WHEN 1038
000043         CALL "REPMEMO3-START"
000044     END-EVALUATE
000045     EXIT PROGRAM.
000046 IDENTIFICATION DIVISION.
000047 PROGRAM-ID. "REPMEMO3-OPENED".
000048 ENVIRONMENT DIVISION.
000049 DATA        DIVISION.
000050
000051 WORKING-STORAGE SECTION.
000052
000053 77  MEM-LINE      PIC X(150).
000054 77  MEM-COMPANY   PIC X(80) VALUE "COBTOOLS.COM".
000055       
000056 77  VAR-MEMO1     PIC X(512).
000057 77  INTRO         PIC X(04).
000058
000059 01  LINEA1.
000060     02 FILLER     PIC X(80) VALUE "<MEMO VAR='MEMO1'>".
000061 01  LINEA2.
000062     02 FILLER     PIC X(80) VALUE "This sample show how build a MEMO<EOL>".
000063 01  LINEA3.
000064     02 FILLER     PIC X(80) VALUE "inside a report called by /cobpdf?<EOL>".
000065 01  LINEA4.
000066     02 FILLER     PIC X(80) VALUE "_<EOL>".
000067 01  LINEA5.
000068     02 FILLER     PIC X(80) VALUE "This program is repmemo2.cbl<EOL>".
000069 01  LINEA6.
000070     02 FILLER     PIC X(80) VALUE "And the MEMO is printted by band<EOL>".
000071 01  LINEA7.
000072     02 FILLER     PIC X(80) VALUE "with a memo tag inside<EOL>".
000073 01  LINEA8.
000074     02 FILLER     PIC X(80) VALUE "</MEMO>".
000075
000076 01  LINEA9.
000077     02 FILLER     PIC X(80) VALUE "<PRINT 'band-memo'>".
000078
000079 01  LINEA11.
000080     02 FILLER     PIC X(80) VALUE "<MEMO VAR='MEMO1'>".
000081 01  LINEA12.
000082     02 FILLER     PIC X(80) VALUE "</MEMO>".
000083 01  LINEA13.
000084     02 FILLER     PIC X(80) VALUE "<PRINT 'band-memo'>".
000085
000086
000087 PROCEDURE   DIVISION.
000088 INICIO.
000089     MOVE HTTP-DATA-INP  TO WEB-DATA.
000090
000091     PERFORM TPL-OPEN-FILE.         
000092           
000093     PERFORM 500-TITLES.
000094           
000095     PERFORM 100-WRITE-MEMO.
000096
000097     CLOSE CGI-OUT.
000098
000099     GO TO EXIT-PROG.
000100
000101 100-WRITE-MEMO.
000102     WRITE R-CGI-OUT FROM LINEA1.
000103     WRITE R-CGI-OUT FROM LINEA2.
000104     WRITE R-CGI-OUT FROM LINEA3.
000105     WRITE R-CGI-OUT FROM LINEA4.
000106     WRITE R-CGI-OUT FROM LINEA5.
000107     WRITE R-CGI-OUT FROM LINEA4.
000108     WRITE R-CGI-OUT FROM LINEA6.
000109     WRITE R-CGI-OUT FROM LINEA7.
000110     WRITE R-CGI-OUT FROM LINEA8.
000111           
000112     WRITE R-CGI-OUT FROM LINEA9.
000113     
000114     STRING "This is Another memo\r\nWith several lines",
000115            "\r\nseparated by CRLF chars"
000116            DELIMITED BY SIZE INTO VAR-MEMO1.
000117
000118     WRITE R-CGI-OUT FROM LINEA11.
000119     WRITE R-CGI-OUT FROM VAR-MEMO1.
000120     WRITE R-CGI-OUT FROM LINEA12.
000121
000122     WRITE R-CGI-OUT FROM LINEA13.
000123
000124       
000125           
000126           
000127 500-TITLES.
000128     MOVE SPACES TO MEM-LINE.
000129     STRING "<VAR NAME-COMPANY='", MEM-COMPANY, "'>"
000130            DELIMITED BY SIZE INTO MEM-LINE.
000131     WRITE R-CGI-OUT FROM MEM-LINE.
000132
000133     MOVE "<include 'reps\repmemo3.def'>" TO MEM-LINE.
000134     WRITE R-CGI-OUT FROM MEM-LINE.
000135
000136
000137     COPY "CGILIB\TEMPLATE.FDT".
000138
000139 EXIT-PROG.
000140     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE REPMEMO3 .
000141
000142 END PROGRAM "REPMEMO3-OPENED".
000143 IDENTIFICATION DIVISION.
000144 PROGRAM-ID. "REPMEMO3-START".
000145 PROCEDURE DIVISION.
000146     EXIT PROGRAM.
000147 END PROGRAM "REPMEMO3-START".
000148 END PROGRAM "REPMEMO3".
