000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "RESOL".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-RESOL IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--RESOL.
000015     03 RESOL PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  RESOL USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-RESOL.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02  FUNC                  PIC X(10).
000025     02  WEB-WIDTH             PIC 9(7).
000026     02  WEB-HEIGHT            PIC 9(7).
000027 CONSTANT SECTION.
000028 LINKAGE SECTION.
000029 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000030 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000031                    USAGE IS COMPUTATIONAL-5.
000032 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000033                    USAGE IS COMPUTATIONAL-5.
000034 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000035                    USAGE IS COMPUTATIONAL-5.
000036 PROCEDURE DIVISION
000037     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000038     EVALUATE POWER--MESSAGE
000039     WHEN 1024
000040         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000041     WHEN 1036
000042         CALL "RESOL-OPENED"
000043     WHEN 1038
000044         CALL "RESOL-START"
000045     END-EVALUATE
000046     EXIT PROGRAM.
000047 IDENTIFICATION DIVISION.
000048 PROGRAM-ID. "RESOL-OPENED".
000049 ENVIRONMENT DIVISION.
000050 DATA        DIVISION.
000050 WORKING-STORAGE SECTION.
000051
000052 PROCEDURE   DIVISION.
000053 INICIO.
000054     MOVE HTTP-DATA-INP  TO WEB-DATA.
000055
000056     PERFORM TPL-OPEN-FILE.         
000057           
000058     IF FUNC = "Detecta"
000059        PERFORM 100-OBTIENE
000060     ELSE
000061     IF FUNC = "Muestra"
000062        PERFORM 200-MUESTRA.
000063
000064     CLOSE CGI-OUT.
000065
000066     GO TO EXIT-PROG.
000067
000068 100-OBTIENE.
000069     MOVE "tpl\resol1.html" TO TPL-FILENAME.
000070     PERFORM TPL-ADD-FILENAME.
000071
000072 200-MUESTRA.
000073     MOVE "tpl\resol2.html" TO TPL-FILENAME.
000074     PERFORM TPL-ADD-FILENAME.
000075
000076     MOVE "WEB-WIDTH" TO VAR-NAME.
000077     MOVE WEB-WIDTH   TO VAR-VALUE
000078     PERFORM TPL-ADD-VAR.
000079
000080     MOVE "WEB-HEIGHT" TO VAR-NAME.
000081     MOVE WEB-HEIGHT   TO VAR-VALUE.
000082     PERFORM TPL-ADD-VAR.
000083
000084
000085     COPY "CGILIB\TEMPLATE.FDT".
000086
000087 EXIT-PROG.
000088     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE RESOL .
000089
000090 END PROGRAM "RESOL-OPENED".
000091 IDENTIFICATION DIVISION.
000092 PROGRAM-ID. "RESOL-START".
000093 PROCEDURE DIVISION.
000094     EXIT PROGRAM.
000095 END PROGRAM "RESOL-START".
000096 END PROGRAM "RESOL".
