000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "SEGUNDO".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-SEGUNDO IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--SEGUNDO.
000015     03 SEGUNDO PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  SEGUNDO USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-SEGUNDO.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02  BCONSULTAR            PIC X(01).
000025     02  BGRABAR               PIC X(01).
000026     02  BCANCELAR             PIC X(01).
000027     02  BELIMINAR             PIC X(01).
000028     02  BOTRO                 PIC X(01).
000029 CONSTANT SECTION.
000030 LINKAGE SECTION.
000031 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000032 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000033                    USAGE IS COMPUTATIONAL-5.
000034 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000035                    USAGE IS COMPUTATIONAL-5.
000036 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000037                    USAGE IS COMPUTATIONAL-5.
000038 PROCEDURE DIVISION
000039     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000040     EVALUATE POWER--MESSAGE
000041     WHEN 1024
000042         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000043     WHEN 1036
000044         CALL "SEGUNDO-OPENED"
000045     WHEN 1038
000046         CALL "SEGUNDO-START"
000047     END-EVALUATE
000048     EXIT PROGRAM.
000049 IDENTIFICATION DIVISION.
000050 PROGRAM-ID. "SEGUNDO-OPENED".
000051 ENVIRONMENT DIVISION.
000052 DATA        DIVISION.
000052 WORKING-STORAGE SECTION.
000053
000054 PROCEDURE   DIVISION.
000055 INICIO.
000056     MOVE HTTP-DATA-INP  TO WEB-DATA.
000057
000058     PERFORM TPL-OPEN-FILE.
000059           
000060           
000061     MOVE "tpl\segundo.html" TO TPL-FILENAME.
000062     PERFORM TPL-ADD-FILENAME.
000063           
000064     MOVE "CLAVE" TO VAR-NAME.
000065     MOVE "1001" TO VAR-VALUE.
000066     PERFORM TPL-ADD-VAR.
000067
000068     MOVE "NOMBRE" TO VAR-NAME.
000069     MOVE "JUAN PEREZ" TO VAR-VALUE.
000070     PERFORM TPL-ADD-VAR.
000071
000072     MOVE "DIRECCION" TO VAR-NAME.
000073     MOVE "HIDALGO No. 100 ZONA CENTRO" TO VAR-VALUE
000074     PERFORM TPL-ADD-VAR.
000075
000076     CLOSE CGI-OUT.
000077
000078     GO TO EXIT-PROG.
000079
000080 100-EXIT. 
000081
000082
000083     COPY "CGILIB\TEMPLATE.FDT".
000084
000085 EXIT-PROG.
000086     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE SEGUNDO .
000087
000088 END PROGRAM "SEGUNDO-OPENED".
000089 IDENTIFICATION DIVISION.
000090 PROGRAM-ID. "SEGUNDO-START".
000091 PROCEDURE DIVISION.
000092     EXIT PROGRAM.
000093 END PROGRAM "SEGUNDO-START".
000094 END PROGRAM "SEGUNDO".
