000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "UPLOAD".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-UPLOAD IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--UPLOAD.
000015     03 UPLOAD PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  UPLOAD USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-UPLOAD.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02 FUNC           PIC X(10).
000025     02 INFILE1        PIC X(150).
000026     02 INFILE2        PIC X(150).
000027     02 INFILE3        PIC X(150).
000028 CONSTANT SECTION.
000029 LINKAGE SECTION.
000030 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000031 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000032                    USAGE IS COMPUTATIONAL-5.
000033 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000034                    USAGE IS COMPUTATIONAL-5.
000035 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000036                    USAGE IS COMPUTATIONAL-5.
000037 PROCEDURE DIVISION
000038     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000039     EVALUATE POWER--MESSAGE
000040     WHEN 1024
000041         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000042     WHEN 1036
000043         CALL "UPLOAD-OPENED"
000044     WHEN 1038
000045         CALL "UPLOAD-START"
000046     END-EVALUATE
000047     EXIT PROGRAM.
000048 IDENTIFICATION DIVISION.
000049 PROGRAM-ID. "UPLOAD-OPENED".
000050 ENVIRONMENT DIVISION.
000051 DATA        DIVISION.
000052
000053 WORKING-STORAGE SECTION.
000054
000055 77  WK-COMANDO                PIC X(250).
000055 77 POW-0001 PIC X(256) .
000055 77 POW-0002 PIC S9(4) COMP-5 .
000056
000057
000058 PROCEDURE   DIVISION.
000059 INICIO.
000060     MOVE HTTP-DATA-INP  TO WEB-DATA.
000061
000062     PERFORM TPL-OPEN-FILE.         
000063           
000064     IF FUNC = "Show"
000065        PERFORM 100-SHOW
000066     ELSE
000067     IF FUNC = "Save"
000068        PERFORM 200-SAVE.
000069
000070     CLOSE CGI-OUT.
000071
000072     GO TO EXIT-PROG.
000073
000074 100-SHOW.
000075     MOVE "tpl\upload.html" TO TPL-FILENAME.
000076     PERFORM TPL-ADD-FILENAME.
000077
000078 200-SAVE.
000079     MOVE SPACES TO WK-COMANDO.
000080     STRING "cmd /c COPY ", INFILE1, " UPLOADS "
000081            DELIMITED BY "  " INTO WK-COMANDO.
000082***     CALL "SYSTEM" USING WK-COMANDO.
000083     MOVE  WK-COMANDO  TO POW-0001
000083     MOVE  1  TO POW-0002
000083     CALL "XPOWCSEXEC"  USING BY VALUE UPLOAD BY REFERENCE POW-0001  BY VALUE POW-0002 .
000084***     INVOKE POW-SELF "Execute" USING WK-COMANDO.
000085
000086           
000087     PERFORM TPL-DISP-COMMAND.
000088
000089
000090     COPY "CGILIB\TEMPLATE.FDT".
000091
000092 EXIT-PROG.
000093     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE UPLOAD .
000094
000095 END PROGRAM "UPLOAD-OPENED".
000096 IDENTIFICATION DIVISION.
000097 PROGRAM-ID. "UPLOAD-START".
000098 PROCEDURE DIVISION.
000099     EXIT PROGRAM.
000100 END PROGRAM "UPLOAD-START".
000101 END PROGRAM "UPLOAD".
