000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "CAPTCHA".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-CAPTCHA IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--CAPTCHA.
000015     03 CAPTCHA PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  CAPTCHA USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-CAPTCHA.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02  FUNC                  PIC X(10).
000025     02  CAMPO1                PIC X(100).
000026     02  CAMPO2                PIC X(100).
000027     02  IMAGEN                PIC X(20).
000028     02  CAPTURA               PIC X(20).
000029 CONSTANT SECTION.
000030 LINKAGE SECTION.
000031 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000032 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000033                    USAGE IS COMPUTATIONAL-5.
000034 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000035                    USAGE IS COMPUTATIONAL-5.
000036 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000037                    USAGE IS COMPUTATIONAL-5.
000038 PROCEDURE DIVISION
000039     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000040     EVALUATE POWER--MESSAGE
000041     WHEN 1024
000042         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000043     WHEN 1036
000044         CALL "CAPTCHA-OPENED"
000045     WHEN 1038
000046         CALL "CAPTCHA-START"
000047     END-EVALUATE
000048     EXIT PROGRAM.
000049 IDENTIFICATION DIVISION.
000050 PROGRAM-ID. "CAPTCHA-OPENED".
000051 ENVIRONMENT DIVISION.
000052 DATA        DIVISION.
000052 WORKING-STORAGE SECTION.
000053
000054 PROCEDURE   DIVISION.
000055 INICIO.
000056     MOVE HTTP-DATA-INP  TO WEB-DATA.
000057
000058     PERFORM TPL-OPEN-FILE.         
000059           
000060     IF FUNC = "Send"
000061        PERFORM 100-COMPARA
000062     ELSE
000063        MOVE "tpl\captcha.html" TO TPL-FILENAME.
000064        PERFORM TPL-ADD-FILENAME.
000065          
000066
000067     CLOSE CGI-OUT.
000068
000069     GO TO EXIT-PROG.
000070
000071 100-COMPARA.
000072     MOVE "tpl\captcha.html" TO TPL-FILENAME
000073     PERFORM TPL-ADD-FILENAME.
000074           
000075     MOVE "MSG-ERROR" TO VAR-NAME.
000076     IF IMAGEN = CAPTURA
000077        MOVE "** SI ES IGUAL **" TO  VAR-VALUE
000078     ELSE
000079        MOVE "** ERROR, NO ES IGUAL **" TO VAR-VALUE.
000080     PERFORM TPL-ADD-VAR.
000081
000082     GO EXIT-PROG.
000083
000084
000085
000086
000087     COPY "CGILIB\TEMPLATE.FDT".
000088
000089 EXIT-PROG.
000090     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE CAPTCHA .
000091
000092 END PROGRAM "CAPTCHA-OPENED".
000093 IDENTIFICATION DIVISION.
000094 PROGRAM-ID. "CAPTCHA-START".
000095 PROCEDURE DIVISION.
000096     EXIT PROGRAM.
000097 END PROGRAM "CAPTCHA-START".
000098 END PROGRAM "CAPTCHA".
