000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "COMBO1".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-COMBO1 IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--COMBO1.
000015     03 COMBO1 PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  COMBO1 USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-COMBO1.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02  FUNC                  PIC X(10).
000025     02  PAIS                  PIC 9(02).
000026     02  ESTADO                PIC 9(02).
000027     02  CIUDAD                PIC 9(02).
000028 CONSTANT SECTION.
000029 LINKAGE SECTION.
000030 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000031 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000032                    USAGE IS COMPUTATIONAL-5.
000033 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000034                    USAGE IS COMPUTATIONAL-5.
000035 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000036                    USAGE IS COMPUTATIONAL-5.
000037 PROCEDURE DIVISION
000038     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000039     EVALUATE POWER--MESSAGE
000040     WHEN 1024
000041         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000042     WHEN 1036
000043         CALL "COMBO1-OPENED"
000044     WHEN 1038
000045         CALL "COMBO1-START"
000046     END-EVALUATE
000047     EXIT PROGRAM.
000048 IDENTIFICATION DIVISION.
000049 PROGRAM-ID. "COMBO1-OPENED".
000050 ENVIRONMENT DIVISION.
000051 DATA        DIVISION.
000052
000053 WORKING-STORAGE SECTION.
000054 77  IK                        PIC X.
000055 77  I                         PIC 99.
000056
000057 01  TABLA-PAISES.
000058     02 FILLER        PIC X(12) VALUE "01ARGENTINA ".
000059     02 FILLER        PIC X(12) VALUE "02COLOMBIA  ".
000060     02 FILLER        PIC X(12) VALUE "03ECUADOR   ".
000061     02 FILLER        PIC X(12) VALUE "04MEXICO    ".
000062     02 FILLER        PIC X(12) VALUE "05USA       ".
000063 01  TAB-PAISES REDEFINES TABLA-PAISES.
000064     02 XTAB-PAISES OCCURS 5 TIMES.
000065        04 PAIS-CLAVE      PIC 99.
000066        04 PAIS-NOMBRE     PIC X(10).
000067
000068
000069 01  TABLA-ESTADOS.
000070     02 FILLER        PIC X(14) VALUE "0101B.AIRES   ".
000071     02 FILLER        PIC X(14) VALUE "0102CHACO     ".
000072     02 FILLER        PIC X(14) VALUE "0103MENDOZA   ".
000073     02 FILLER        PIC X(14) VALUE "0104LA PAMPA  ".
000074     02 FILLER        PIC X(14) VALUE "0105SANTA FE  ".
000075     02 FILLER        PIC X(14) VALUE "0201AMAZONAS  ".
000076     02 FILLER        PIC X(14) VALUE "0202BOLIVAR   ".
000077     02 FILLER        PIC X(14) VALUE "0203META      ".
000078     02 FILLER        PIC X(14) VALUE "0204SUCRE     ".
000079     02 FILLER        PIC X(14) VALUE "0301LOJA      ".
000080     02 FILLER        PIC X(14) VALUE "0302GUAYAS    ".
000081     02 FILLER        PIC X(14) VALUE "0303MANABI    ".
000082     02 FILLER        PIC X(14) VALUE "0402CAMPECHE  ".
000083     02 FILLER        PIC X(14) VALUE "0403COAHUILA  ".
000084     02 FILLER        PIC X(14) VALUE "0404D.F.      ".
000085     02 FILLER        PIC X(14) VALUE "0405MORELOS   ".
000086     02 FILLER        PIC X(14) VALUE "0406NAYARIT   ".
000087     02 FILLER        PIC X(14) VALUE "0501ARIZONA   ".
000088     02 FILLER        PIC X(14) VALUE "0502COLORADO  ".
000089     02 FILLER        PIC X(14) VALUE "0503FLORIDA   ".
000090     02 FILLER        PIC X(14) VALUE "0504MICHIGAN  ".
000091     02 FILLER        PIC X(14) VALUE "0505MINNESOTA ".
000092 01  TAB-ESTADOS REDEFINES TABLA-ESTADOS.
000093     02 XTAB-ESTADOS OCCURS 22 TIMES.
000094        04 EDO-PAIS        PIC 99.
000095        04 EDO-CLAVE       PIC 99.
000096        04 EDO-NOMBRE      PIC X(10).
000097              
000098 01  TABLA-CIUDADES.
000099     02 FILLER        PIC X(16) VALUE "010101B.AIRES-1 ".
000100     02 FILLER        PIC X(16) VALUE "010102B.AIRES-2 ".
000101     02 FILLER        PIC X(16) VALUE "010201CHACO-1   ".
000102     02 FILLER        PIC X(16) VALUE "010202CHACO-2   ".
000103     02 FILLER        PIC X(16) VALUE "010203CHACO-3   ".
000104     02 FILLER        PIC X(16) VALUE "020201BOLIVAR-1 ".
000105     02 FILLER        PIC X(16) VALUE "020202BOLIVAR-2 ".
000106     02 FILLER        PIC X(16) VALUE "030201GUAYAS-1  ".
000107     02 FILLER        PIC X(16) VALUE "030202GUAYAS-2  ".
000108     02 FILLER        PIC X(16) VALUE "030203GUAYAS-3  ".
000109     02 FILLER        PIC X(16) VALUE "030301MANABI-1  ".
000110     02 FILLER        PIC X(16) VALUE "030302MANABI-2  ".
000111     02 FILLER        PIC X(16) VALUE "030303MANABI-3  ".
000112     02 FILLER        PIC X(16) VALUE "040201CAMPECHE1 ".
000113     02 FILLER        PIC X(16) VALUE "040202CAMPECHE2 ".
000114     02 FILLER        PIC X(16) VALUE "040203CAMPECHE3 ".
000115     02 FILLER        PIC X(16) VALUE "040301COAHUILA1 ".
000116     02 FILLER        PIC X(16) VALUE "040302COAHUILA2 ".
000117     02 FILLER        PIC X(16) VALUE "050101ARIZONA-1 ".
000118     02 FILLER        PIC X(16) VALUE "050102ARIZONA-2 ".
000119     02 FILLER        PIC X(16) VALUE "050103ARIZONA-3 ".
000120     02 FILLER        PIC X(16) VALUE "050104ARIZONA-4 ".
000121 01  TAB-CIUDADES REDEFINES TABLA-CIUDADES.
000122     02 XTAB-CIUDADES OCCURS 22 TIMES.
000123        04 CD-PAIS         PIC 99.
000124        04 CD-EDO          PIC 99.
000125        04 CD-CLAVE        PIC 99.
000126        04 CD-NOMBRE       PIC X(10).
000127
000128              
000129 01  LIN-FUNC.
000130     02  FILLER                PIC X(20) VALUE
000131         "EL VALOR DE FUNC = ".
000132     02  WS-FUNC               PIC X(20).
000133     02 FILLER                 PIC X(04) VALUE "<BR>".
000134
000135 01  LIN-PAIS.
000136     02  FILLER                PIC X(25) VALUE
000137         "EL VALOR DE PAIS = ".
000138     02  WS-PAIS               PIC X(10).
000139     02 FILLER                 PIC X(04) VALUE "<BR>".
000140
000141 01  LIN-ESTADO.
000142     02  FILLER                PIC X(25) VALUE
000143         "EL VALOR DE ESTADO= ".
000144     02  WS-ESTADO             PIC X(10).
000145     02 FILLER                 PIC X(04) VALUE "<BR>".
000146           
000147 01  LIN-CIUDAD.
000148     02  FILLER                PIC X(25) VALUE
000149         "EL VALOR DE CIUDAD= ".
000150     02  WS-CIUDAD             PIC X(10).
000151     02 FILLER                 PIC X(04) VALUE "<BR>".
000152
000153
000154 PROCEDURE   DIVISION.
000155 INICIO.
000156     MOVE HTTP-DATA-INP  TO WEB-DATA.
000157
000158     PERFORM TPL-OPEN-FILE.         
000159           
000160     IF FUNC = "SHOW"
000161        PERFORM 100-SHOW-FORMA
000162        PERFORM 200-CARGA-PAISES.
000163
000164     IF FUNC = "ESTADOS"
000165        PERFORM 100-SHOW-FORMA
000166        PERFORM 200-CARGA-PAISES
000167        PERFORM 300-CARGA-ESTADOS.
000168
000169     IF FUNC = "CIUDADES"
000170        PERFORM 100-SHOW-FORMA
000171        PERFORM 200-CARGA-PAISES
000172        PERFORM 300-CARGA-ESTADOS
000173        PERFORM 400-CARGA-CIUDADES.
000174
000175     IF FUNC = "GRABAR"
000176        PERFORM 900-MUESTRA.
000177
000178     CLOSE CGI-OUT.
000179
000180     GO TO EXIT-PROG.
000181
000182 100-SHOW-FORMA.
000183     MOVE "tpl\combo1.html" TO TPL-FILENAME.
000184     PERFORM TPL-ADD-FILENAME.
000185           
000186           
000187 200-CARGA-PAISES.
000188     PERFORM 210-PAIS VARYING I FROM 1 BY 1 UNTIL I > 5.
000189           
000190 210-PAIS.
000191     MOVE "PAIS" TO COMBO-NAME.
000192     MOVE PAIS-CLAVE(I)  TO COMBO-VALUE.
000193     MOVE PAIS-NOMBRE(I) TO COMBO-ITEM.
000194     IF PAIS-CLAVE(I) = PAIS
000195        MOVE "Y" TO COMBO-SELECTED
000196     ELSE MOVE "N" TO COMBO-SELECTED.
000197     PERFORM TPL-ADD-TO-COMBO.
000198           
000199           
000200           
000201 300-CARGA-ESTADOS.
000202     PERFORM 310-ESTADO VARYING I FROM 1 BY 1 UNTIL I > 22.
000203           
000204 310-ESTADO.
000205     IF EDO-PAIS(I) = PAIS
000206        MOVE "ESTADO" TO COMBO-NAME
000207        MOVE EDO-CLAVE(I) TO COMBO-VALUE
000208        MOVE EDO-NOMBRE(I) TO COMBO-ITEM
000209        IF EDO-CLAVE(I) = ESTADO
000210           MOVE "Y" TO COMBO-SELECTED
000211        ELSE MOVE "N" TO COMBO-SELECTED
000212        END-IF
000213        PERFORM TPL-ADD-TO-COMBO.
000214              
000215 400-CARGA-CIUDADES.
000216     PERFORM 410-CIUDAD VARYING I FROM 1 BY 1 UNTIL I > 22.
000217
000218 410-CIUDAD.
000219     IF CD-PAIS(I) = PAIS AND CD-EDO(I) = ESTADO
000220        MOVE "CIUDAD" TO COMBO-NAME
000221        MOVE CD-CLAVE(I) TO COMBO-VALUE
000222        MOVE CD-NOMBRE(I) TO COMBO-ITEM
000223        IF CD-CLAVE(I) = CIUDAD
000224           MOVE "Y" TO COMBO-SELECTED
000225        ELSE MOVE "N" TO COMBO-SELECTED
000226        END-IF
000227        PERFORM TPL-ADD-TO-COMBO.
000228
000229              
000230              
000231 900-MUESTRA.
000232     MOVE FUNC    TO WS-FUNC.
000233     MOVE PAIS    TO WS-PAIS.
000234     MOVE ESTADO  TO WS-ESTADO.
000235     MOVE CIUDAD  TO WS-CIUDAD.
000236
000237     WRITE R-CGI-OUT FROM LIN-FUNC.
000238     WRITE R-CGI-OUT FROM LIN-PAIS.
000239     WRITE R-CGI-OUT FROM LIN-ESTADO.
000240     WRITE R-CGI-OUT FROM LIN-CIUDAD.
000241
000242
000243
000244     COPY "CGILIB\TEMPLATE.FDT".
000245
000246 EXIT-PROG.
000247     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE COMBO1 .
000248
000249 END PROGRAM "COMBO1-OPENED".
000250 IDENTIFICATION DIVISION.
000251 PROGRAM-ID. "COMBO1-START".
000252 PROCEDURE DIVISION.
000253     EXIT PROGRAM.
000254 END PROGRAM "COMBO1-START".
000255 END PROGRAM "COMBO1".
