000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "CTRLES".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-CTRLES IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--CTRLES.
000015     03 CTRLES PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  CTRLES USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-CTRLES.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02  FUNC                  PIC X(10).
000025     02  NOMBRE                PIC X(50).
000026     02  SEXO                  PIC X(01).
000027     02  PUBLICIDAD            PIC X(01).
000028     02  EDAD                  PIC 9(01).
000029     02  CIUDAD                PIC 9(03).
000030 CONSTANT SECTION.
000031 LINKAGE SECTION.
000032 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000033 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000034                    USAGE IS COMPUTATIONAL-5.
000035 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000036                    USAGE IS COMPUTATIONAL-5.
000037 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000038                    USAGE IS COMPUTATIONAL-5.
000039 PROCEDURE DIVISION
000040     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000041     EVALUATE POWER--MESSAGE
000042     WHEN 1024
000043         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000044     WHEN 1036
000045         CALL "CTRLES-OPENED"
000046     WHEN 1038
000047         CALL "CTRLES-START"
000048     END-EVALUATE
000049     EXIT PROGRAM.
000050 IDENTIFICATION DIVISION.
000051 PROGRAM-ID. "CTRLES-OPENED".
000052 ENVIRONMENT DIVISION.
000053 DATA        DIVISION.
000054
000055 WORKING-STORAGE SECTION.
000056 77  IK                        PIC X.
000057 77  L-VISITAS                 PIC ZZZZZ9.
000058       
000059 01  LIN-FUNC.
000060     02  FILLER                PIC X(20) VALUE
000061         "EL VALOR DE FUNC = ".
000062     02  WS-FUNC               PIC X(20).
000063     02 FILLER                 PIC X(04) VALUE "<BR>".
000064
000065 01  LIN-NOMBRE.
000066     02  FILLER                PIC X(25) VALUE
000067         "EL VALOR DE NOMBRE = ".
000068     02  WS-NOMBRE             PIC X(50).
000069     02 FILLER                 PIC X(04) VALUE "<BR>".
000070
000071 01  LIN-SEXO.
000072     02  FILLER                PIC X(25) VALUE
000073         "EL VALOR DE SEXO = ".
000074     02  WS-SEXO               PIC X(01).
000075     02 FILLER                 PIC X(04) VALUE "<BR>".
000076
000077 01  LIN-PUBLICIDAD.
000078     02  FILLER                PIC X(25) VALUE
000079         "EL VALOR DE PUBLICIDAD = ".
000080     02  WS-PUBLICIDAD         PIC X(01).
000081     02 FILLER                 PIC X(04) VALUE "<BR>".
000082           
000083 01  LIN-EDAD.
000084     02  FILLER                PIC X(25) VALUE
000085         "EL VALOR DE EDAD = ".
000086     02  WS-EDAD               PIC X(01).
000087     02 FILLER                 PIC X(04) VALUE "<BR>".
000088           
000089 01  LIN-CIUDAD.
000090     02  FILLER                PIC X(25) VALUE
000091         "EL VALOR DE CIUDAD = ".
000092     02  WS-CIUDAD             PIC X(03).
000093     02 FILLER                 PIC X(04) VALUE "<BR>".
000094
000095
000096 PROCEDURE   DIVISION.
000097 INICIO.
000098     MOVE HTTP-DATA-INP  TO WEB-DATA.
000099
000100     PERFORM TPL-OPEN-FILE.         
000101           
000102     IF FUNC = "SHOW"
000103        PERFORM 100-SHOW-FORMA.
000104              
000105     IF FUNC = "GRABAR"
000106        PERFORM 200-MUESTRA.
000107
000108     CLOSE CGI-OUT.
000109
000110     GO TO EXIT-PROG.
000111
000112 100-SHOW-FORMA.
000113     MOVE "tpl\ctrles.html" TO TPL-FILENAME.
000114     PERFORM TPL-ADD-FILENAME.
000115           
000116     MOVE "CIUDAD" TO COMBO-NAME.
000117     MOVE "TAMPICO" TO COMBO-ITEM.
000118     MOVE "001" TO COMBO-VALUE.
000119     MOVE "N" TO COMBO-SELECTED.
000120     PERFORM TPL-ADD-TO-COMBO.
000121
000122     MOVE "MADERO" TO COMBO-ITEM.
000123     MOVE "002" TO COMBO-VALUE.
000124     PERFORM TPL-ADD-TO-COMBO.
000125
000126     MOVE "ALTAMIRA" TO COMBO-ITEM.
000127     MOVE "003" TO COMBO-VALUE.
000128     MOVE "Y" TO COMBO-SELECTED.
000129     PERFORM TPL-ADD-TO-COMBO.
000130
000131     MOVE "VICTORIA" TO COMBO-ITEM.
000132     MOVE "004" TO COMBO-VALUE.
000133     MOVE "N" TO COMBO-SELECTED.
000134     PERFORM TPL-ADD-TO-COMBO.
000135           
000136     MOVE "REYNOSA" TO COMBO-ITEM.
000137     MOVE "005" TO COMBO-VALUE.
000138     PERFORM TPL-ADD-TO-COMBO.
000139           
000140     MOVE "MATAMOROS" TO COMBO-ITEM.
000141     MOVE "006" TO COMBO-VALUE.
000142     PERFORM TPL-ADD-TO-COMBO.
000143
000144
000145 200-MUESTRA.
000146     MOVE FUNC    TO WS-FUNC.
000147     MOVE NOMBRE  TO WS-NOMBRE.
000148     MOVE SEXO    TO WS-SEXO.
000149     MOVE PUBLICIDAD   TO WS-PUBLICIDAD.
000150     MOVE EDAD    TO WS-EDAD.
000151     MOVE CIUDAD  TO WS-CIUDAD.
000152
000153     WRITE R-CGI-OUT FROM LIN-FUNC.
000154     WRITE R-CGI-OUT FROM LIN-NOMBRE.
000155     WRITE R-CGI-OUT FROM LIN-SEXO.
000156     WRITE R-CGI-OUT FROM LIN-PUBLICIDAD.
000157     WRITE R-CGI-OUT FROM LIN-EDAD.
000158      WRITE R-CGI-OUT FROM LIN-CIUDAD.
000159
000160
000161     COPY "CGILIB\TEMPLATE.FDT".
000162
000163 EXIT-PROG.
000164     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE CTRLES .
000165
000166 END PROGRAM "CTRLES-OPENED".
000167 IDENTIFICATION DIVISION.
000168 PROGRAM-ID. "CTRLES-START".
000169 PROCEDURE DIVISION.
000170     EXIT PROGRAM.
000171 END PROGRAM "CTRLES-START".
000172 END PROGRAM "CTRLES".
