@POWER POWSHEET MENU01 FILE-CONTROL
     COPY "CGILIB\CGI-OUT.SEL".
@POWER POWSHEET MENU01 FILE
     COPY "CGILIB\CGI-OUT.FD".
@POWER POWSHEET MENU01 WORKING
 COPY "CGILIB\LS-HTTP-PW3.FDT".

 COPY "CGILIB\TEMPLATE.WSS".

 01  WEB-DATA IS GLOBAL.
     02  LS-FUN                PIC X(10).
     02  LS-USUARIO            PIC X(10).
     02  LS-PASSWORD           PIC X(10).
     02  LS-LOGINOK            PIC X(10).
@POWER POWSHEET MENU01 OPENED
 ENVIRONMENT DIVISION.
 DATA        DIVISION.

 WORKING-STORAGE SECTION.
 77  MSG-ERROR                 PIC X(50).
 77  FLAG-OK                   PIC 9(01).
       
 77  USUARIO-ID                PIC 9(04).
 77  USUARIO-NOM               PIC X(30).


 PROCEDURE   DIVISION.
 INICIO.
     MOVE HTTP-DATA-INP  TO WEB-DATA.

     PERFORM TPL-OPEN-FILE.         
           
*   si mi variable LOGINOK ya tiene mi clave interna, ya hizo login
     IF LS-LOGINOK = "COB1357"
        PERFORM 300-YA-HIZO-LOGIN
        CLOSE CGI-OUT
        GO TO 999-EXIT.
              
     IF LS-FUN = SPACES
        MOVE "Show" TO LS-FUN.

     IF LS-FUN = "Show"
        PERFORM 100-SHOW-FORM
     ELSE
     IF LS-FUN = "Check"
        MOVE 0 TO FLAG-OK
        PERFORM 200-VALIDA-USUARIO
        IF FLAG-OK = 0
           PERFORM 300-SHOW-MENU
        ELSE
           PERFORM 400-ERROR-USUARIO.

     CLOSE CGI-OUT.

     GO TO EXIT-PROG.

 100-SHOW-FORM.
     MOVE "MSGERROR" TO VAR-NAME.
     MOVE SPACES TO VAR-VALUE.
     PERFORM TPL-ADD-VAR.
           
     MOVE "tpl\menu\login.html" TO TPL-FILENAME.
     PERFORM TPL-ADD-FILENAME.


* valida que el usuario sea valido para el sistema
 200-VALIDA-USUARIO.
     IF LS-USUARIO = "COBOL" AND LS-PASSWORD = "COBOL"
        MOVE 1001 TO USUARIO-ID
        MOVE "USUARIO GENERAL" TO USUARIO-NOM
     ELSE
     IF LS-USUARIO = "ALBERTO" AND LS-PASSWORD = "COBTOOLS"
        MOVE 1001 TO USUARIO-ID
        MOVE "ALBERTO ORTEGA" TO USUARIO-NOM
     ELSE
     IF LS-USUARIO = "JOSE" AND LS-PASSWORD = "COBOL"
        MOVE 1002 TO USUARIO-ID
        MOVE "JOSE MARTINEZ" TO USUARIO-NOM
     ELSE
        MOVE "** INVALID USERNAME **" TO MSG-ERROR
        MOVE 1 TO FLAG-OK.


* indica que template html se usara para regresar el menu
 300-SHOW-MENU.
*    guardamos una variable de session LOGIN con una clave interna
*    para saber si ya paso por aqui
     MOVE "LOGINOK"    TO SESS-NAME.
     MOVE "COB1357"    TO SESS-VALUE.
     PERFORM TPL-ADD-SESSION.
           
     MOVE "USUARIOID"      TO VAR-NAME.
     MOVE USUARIO-ID       TO VAR-VALUE.
     PERFORM TPL-ADD-VAR.
           
     MOVE "USUARIONOM"     TO VAR-NAME.
     MOVE USUARIO-NOM      TO VAR-VALUE.
     PERFORM TPL-ADD-VAR.
           
     MOVE "tpl\menu\bienvenida.html" TO TPL-FILENAME.
     PERFORM TPL-ADD-FILENAME.

 300-YA-HIZO-LOGIN.
     MOVE "tpl\menu\yahizologin.html" TO TPL-FILENAME.
     PERFORM TPL-ADD-FILENAME.

       
* muestra nuevamente la pagina de login
* pero manda un mensaje de error al formulario
 400-ERROR-USUARIO.
     MOVE "MSGERROR" TO VAR-NAME.
     MOVE "No existe el usuario o la contrasea es incorrecta"
          TO VAR-VALUE.
     PERFORM TPL-ADD-VAR.

     MOVE "tpl\menu\login.html" TO TPL-FILENAME.
     PERFORM TPL-ADD-FILENAME.



     COPY "CGILIB\TEMPLATE.FDT".

 999-EXIT.

 EXIT-PROG.
     CALL CLOSESHEET OF MENU01.

