000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "MENU03".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009
000010      COPY "CLIENTES.SEL".
000011
000012 DATA DIVISION.
000013 BASED-STORAGE SECTION.
000014 FILE SECTION.
000015     COPY "CGILIB\CGI-OUT.FD".
000016
000017     COPY "CLIENTES.FD".
000018 WORKING-STORAGE SECTION.
000019 01 POWER--HPOWOBJS-MENU03 IS GLOBAL IS EXTERNAL.
000020   02 POWER--HPOWOBJ--MENU03.
000020     03 MENU03 PIC S9(9) COMP-5.
000020     03 POW-P001 REDEFINES  MENU03 USAGE POINTER.
000021 01  REDEFINES POWER--HPOWOBJS-MENU03.
000022   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000023 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000024 COPY "CGILIB\LS-HTTP-PW3.FDT".
000025
000026 COPY "CGILIB\TEMPLATE.WSS".
000027
000028 01  WEB-DATA IS GLOBAL.
000029     02  LS-LOGINOK            PIC X(10).
000030
000031 01  WS-GLOBALS IS GLOBAL.
000032     02  STAT-CAT                  PIC XX.
000033     02  WF-CLIENTES               PIC X(50).
000034     02  FLAG-ROW                  PIC 9.
000035 CONSTANT SECTION.
000036 LINKAGE SECTION.
000037 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000038 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000039                    USAGE IS COMPUTATIONAL-5.
000040 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000041                    USAGE IS COMPUTATIONAL-5.
000042 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000043                    USAGE IS COMPUTATIONAL-5.
000044 PROCEDURE DIVISION
000045     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000046     EVALUATE POWER--MESSAGE
000047     WHEN 1024
000048         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000049     WHEN 1036
000050         CALL "MENU03-OPENED"
000051     WHEN 1038
000052         CALL "MENU03-START"
000053     END-EVALUATE
000054     EXIT PROGRAM.
000055 IDENTIFICATION DIVISION.
000056 PROGRAM-ID. "MENU03-OPENED".
000057 ENVIRONMENT DIVISION.
000058 DATA        DIVISION.
000058 WORKING-STORAGE SECTION.
000058 77 POW-0001 PIC X(260) .
000058 77 POW-0002 PIC X(14) .
000059
000060 PROCEDURE   DIVISION.
000061 INICIO.
000062     MOVE HTTP-DATA-INP  TO WEB-DATA.
000063
000064     IF LS-LOGINOK NOT = "COB1357"
000065        MOVE SPACES TO HTTP-DATA-INP
000066        MOVE  "POWER3.DLL"  TO POW-0001
000066        MOVE  "MENU01"  TO POW-0002
000066        CALL "XPOWCSOPENDLLSHEET"  USING BY VALUE MENU03 BY REFERENCE POW-0001 POW-0002 
000067        GO TO 999-EXIT.
000068
000069                                                               
000070     PERFORM TPL-OPEN-FILE.                                          
000071                                                                     
000072     MOVE "CLIENTES.DAT" TO WF-CLIENTES.                             
000073     OPEN INPUT CLIENTES.                                            
000074                                                                     
000075     IF STAT-CAT NOT = "00"                                          
000076        PERFORM 900-MSG-ERROR.                                       
000077                                                                     
000078     IF STAT-CAT = "00"                                              
000079        MOVE "tpl\menu\listado1.html" TO TPL-FILENAME                
000080        PERFORM TPL-ADD-FILENAME                                     
000081        MOVE 0 TO FLAG-ROW                                           
000082        PERFORM 100-LEE THRU 100-EXIT.                               
000083                                                               
000084     CLOSE CLIENTES.                                                 
000085                                                                     
000086     CLOSE CGI-OUT.                                                  
000087                                                               
000088     GO TO 999-EXIT.                                                 
000089                                                                     
000090 100-LEE.                                                            
000091     READ CLIENTES NEXT RECORD AT END GO 100-EXIT.                   
000092                                                                     
000093     MOVE "CLAVE" TO VAR-NAME.                                       
000094     MOVE C03-CLAVE TO VAR-VALUE.                                    
000095     PERFORM TPL-ADD-VAR.                                            
000096                                                                     
000097     MOVE "NOMBRE" TO VAR-NAME.                                      
000098     MOVE C03-NOMBRE TO VAR-VALUE.                                   
000099     PERFORM TPL-ADD-VAR.                                            
000100                                                                     
000101     IF FLAG-ROW = 0                                                 
000102        MOVE "ROW1"  TO BLOCK-NAME                                   
000103        MOVE 1 TO FLAG-ROW                                           
000104     ELSE                                                            
000105        MOVE "ROW2" TO BLOCK-NAME                                    
000106        MOVE 0 TO FLAG-ROW.                                          
000107     MOVE "TABLA" TO BLOCK-PASTE.                                    
000108     PERFORM TPL-OPEN-BLOCK.                                         
000109                                                                     
000110                                                                     
000111                                                                     
000112     GO 100-LEE.                                                     
000113 100-EXIT.                                                           
000114     EXIT.                                                           
000115                                                               
000116                                                                     
000117 900-MSG-ERROR.                                                      
000118     MOVE "<CENTER><BIG>" TO CGI-COMMAND.                            
000119     PERFORM TPL-DISP-COMMAND.                                       
000120                                                                     
000121     MOVE "ERROR AL ABRIR CATALOGO DE CLIENTES" TO CGI-COMMAND.      
000122     PERFORM TPL-DISP-COMMAND.                                       
000123                                                                     
000124     STRING "<BR>ARCHIVO = ", WF-CLIENTES                            
000125            DELIMITED BY SIZE INTO CGI-COMMAND.                      
000126     PERFORM TPL-DISP-COMMAND.                                       
000127                                                                     
000128     STRING "<BR>ESTATUS DEL ARCHIVO = ", STAT-CAT                   
000129            DELIMITED BY SIZE INTO CGI-COMMAND.                      
000130     PERFORM TPL-DISP-COMMAND.                                       
000131                                                                     
000132     MOVE "</BIG></CENTER>" TO CGI-COMMAND.                          
000133     PERFORM TPL-DISP-COMMAND.                                       
000134                                                               
000135
000136     COPY "CGILIB\TEMPLATE.FDT".
000137
000138 999-EXIT.
000139
000140 EXIT-PROG.
000141     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE MENU03 .
000142
000143 END PROGRAM "MENU03-OPENED".
000144 IDENTIFICATION DIVISION.
000145 PROGRAM-ID. "MENU03-START".
000146 PROCEDURE DIVISION.
000147     EXIT PROGRAM.
000148 END PROGRAM "MENU03-START".
000149 END PROGRAM "MENU03".
