000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "MENU05".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009
000010     COPY "CLIENTES.SEL".
000011
000012 DATA DIVISION.
000013 BASED-STORAGE SECTION.
000014 FILE SECTION.
000015     COPY "CGILIB\CGI-OUT.FD".
000016
000017     COPY "CLIENTES.FD".
000018 WORKING-STORAGE SECTION.
000019 01 POWER--HPOWOBJS-MENU05 IS GLOBAL IS EXTERNAL.
000020   02 POWER--HPOWOBJ--MENU05.
000020     03 MENU05 PIC S9(9) COMP-5.
000020     03 POW-P001 REDEFINES  MENU05 USAGE POINTER.
000021 01  REDEFINES POWER--HPOWOBJS-MENU05.
000022   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000023 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000024 COPY "CGILIB\LS-HTTP-PW3.FDT".
000025
000026 COPY "CGILIB\TEMPLATE.WSS".
000027
000028 01  WEB-DATA IS GLOBAL.
000029     02  LS-LOGINOK            PIC X(10).
000030
000031 01  WS-GLOBAL IS GLOBAL.
000032     02  STAT-CAT                  PIC XX.
000033     02  WF-CLIENTES               PIC X(50).
000034     02  FLAG-ROW                  PIC 9.
000035     02  MEM-LINE      PIC X(150).
000036     02  MEM-COMPANY   PIC X(80) VALUE "COBTOOLS.COM".
000037
000038 01  DETA1 IS GLOBAL.
000039     02 FILLER           PIC X(08) VALUE "<COL #1>".
000040     02 DET1-KEY         PIC 9(05).
000041     02 FILLER           PIC X(08) VALUE "<COL #2>".
000042     02 DET1-NAME        PIC X(50).
000043     02 FILLER           PIC X(08) VALUE "<COL #3>".
000044     02 DET1-ADDRESS     PIC X(50).
000045     02 FILLER           PIC X(08) VALUE "<COL #4>".
000046     02 DET1-CITY        PIC X(50).
000047 CONSTANT SECTION.
000048 LINKAGE SECTION.
000049 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000050 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000051                    USAGE IS COMPUTATIONAL-5.
000052 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000053                    USAGE IS COMPUTATIONAL-5.
000054 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000055                    USAGE IS COMPUTATIONAL-5.
000056 PROCEDURE DIVISION
000057     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000058     EVALUATE POWER--MESSAGE
000059     WHEN 1024
000060         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000061     WHEN 1036
000062         CALL "MENU05-OPENED"
000063     WHEN 1038
000064         CALL "MENU05-START"
000065     END-EVALUATE
000066     EXIT PROGRAM.
000067 IDENTIFICATION DIVISION.
000068 PROGRAM-ID. "MENU05-OPENED".
000069 ENVIRONMENT DIVISION.
000070 DATA        DIVISION.
000070 WORKING-STORAGE SECTION.
000071
000072 PROCEDURE   DIVISION.
000073 INICIO.
000074     MOVE HTTP-DATA-INP  TO WEB-DATA.
000075
000076     PERFORM TPL-OPEN-FILE.         
000077           
000078     PERFORM 500-TITLES.
000079                                                               
000080     MOVE "CLIENTES.DAT" TO WF-CLIENTES.                             
000081     OPEN INPUT CLIENTES.                                            
000082                                                               
000083     IF STAT-CAT NOT = "00"                                          
000084        PERFORM 900-MSG-ERROR.                                       
000085                                                               
000086     IF STAT-CAT = "00"                                              
000087        PERFORM 100-LEE THRU 100-EXIT.                               
000088                                                               
000089     CLOSE CLIENTES.                                                 
000090                                                               
000091     CLOSE CGI-OUT.                                                  
000092                                                               
000093     GO TO 999-EXIT.                                                 
000094                                                               
000095 100-LEE.                                                            
000096     READ CLIENTES NEXT RECORD AT END GO 100-EXIT.                   
000097                                                                     
000098     MOVE C03-CLAVE     TO DET1-KEY.                                 
000099     MOVE C03-NOMBRE    TO DET1-NAME.                                
000100     MOVE C03-DIRECCION TO DET1-ADDRESS.                             
000101     MOVE C03-POBLACION TO DET1-CITY.                                
000102                                                               
000103     WRITE R-CGI-OUT FROM DETA1.                                     
000104                                                               
000105     GO 100-LEE.                                                     
000106 100-EXIT.                                                           
000107     EXIT.                                                           
000108                                                                     
000109 500-TITLES.                                                         
000110     MOVE SPACES TO MEM-LINE.                                        
000111     STRING "<VAR NAME-COMPANY='", MEM-COMPANY, "'>"                 
000112            DELIMITED BY SIZE INTO MEM-LINE.                         
000113     WRITE R-CGI-OUT FROM MEM-LINE.                                  
000114                                                                     
000115     MOVE "<include 'reps\report1.def'>" TO MEM-LINE.                
000116     WRITE R-CGI-OUT FROM MEM-LINE.                                  
000117                                                               
000118     MOVE "<body>" TO MEM-LINE.                                      
000119     WRITE R-CGI-OUT FROM MEM-LINE.                                  
000120                                                               
000121                                                               
000122                                                               
000123 900-MSG-ERROR.                                                      
000124     MOVE "<CENTER><BIG>" TO CGI-COMMAND.                            
000125     PERFORM TPL-DISP-COMMAND.                                       
000126                                                               
000127     MOVE "ERROR AL ABRIR CATALOGO DE CLIENTES" TO CGI-COMMAND.      
000128     PERFORM TPL-DISP-COMMAND.                                       
000129                                                               
000130     STRING "<BR>ARCHIVO = ", WF-CLIENTES                            
000131            DELIMITED BY SIZE INTO CGI-COMMAND.                      
000132     PERFORM TPL-DISP-COMMAND.                                       
000133                                                               
000134     STRING "<BR>ESTATUS DEL ARCHIVO = ", STAT-CAT                   
000135            DELIMITED BY SIZE INTO CGI-COMMAND.                      
000136     PERFORM TPL-DISP-COMMAND.                                       
000137                                                               
000138     MOVE "</BIG></CENTER>" TO CGI-COMMAND.                          
000139     PERFORM TPL-DISP-COMMAND.                                       
000140                                                               
000141     COPY "CGILIB\TEMPLATE.FDT".
000142
000143 999-EXIT.
000144
000145 EXIT-PROG.
000146     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE MENU05 .
000147
000148 END PROGRAM "MENU05-OPENED".
000149 IDENTIFICATION DIVISION.
000150 PROGRAM-ID. "MENU05-START".
000151 PROCEDURE DIVISION.
000152     EXIT PROGRAM.
000153 END PROGRAM "MENU05-START".
000154 END PROGRAM "MENU05".
