000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "NEMPTY".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-NEMPTY IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--NEMPTY.
000015     03 NEMPTY PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  NEMPTY USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-NEMPTY.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02  FIELD1                PIC X(01).
000025     02  FIELD2                PIC X(01).
000026 CONSTANT SECTION.
000027 LINKAGE SECTION.
000028 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000029 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000030                    USAGE IS COMPUTATIONAL-5.
000031 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000032                    USAGE IS COMPUTATIONAL-5.
000033 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000034                    USAGE IS COMPUTATIONAL-5.
000035 PROCEDURE DIVISION
000036     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000037     EVALUATE POWER--MESSAGE
000038     WHEN 1024
000039         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000040     WHEN 1036
000041         CALL "NEMPTY-OPENED"
000042     WHEN 1038
000043         CALL "NEMPTY-START"
000044     END-EVALUATE
000045     EXIT PROGRAM.
000046 IDENTIFICATION DIVISION.
000047 PROGRAM-ID. "NEMPTY-OPENED".
000048 ENVIRONMENT DIVISION.
000049 DATA        DIVISION.
000049 WORKING-STORAGE SECTION.
000050
000051 PROCEDURE   DIVISION.
000052 INICIO.
000053     MOVE HTTP-DATA-INP  TO WEB-DATA.
000054
000055     PERFORM TPL-OPEN-FILE.         
000056           
000057     MOVE "tpl\template.html" TO TPL-FILENAME.
000058     PERFORM TPL-ADD-FILENAME.
000059
000060*********           
000061*     PERFORM DO-SOMETHING.
000062*********
000063
000064     CLOSE CGI-OUT.
000065
000066     GO TO EXIT-PROG.
000067
000068 100-EXIT. 
000069
000070
000071     COPY "CGILIB\TEMPLATE.FDT".
000072
000073 EXIT-PROG.
000074     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE NEMPTY .
000075
000076 END PROGRAM "NEMPTY-OPENED".
000077 IDENTIFICATION DIVISION.
000078 PROGRAM-ID. "NEMPTY-START".
000079 PROCEDURE DIVISION.
000080     EXIT PROGRAM.
000081 END PROGRAM "NEMPTY-START".
000082 END PROGRAM "NEMPTY".
