000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "REPMEMO1".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-REPMEMO1 IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--REPMEMO1.
000015     03 REPMEMO1 PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  REPMEMO1 USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-REPMEMO1.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02  FUNC                  PIC X(10).
000025     02  VISITAS               PIC 9(05).
000026 CONSTANT SECTION.
000027 LINKAGE SECTION.
000028 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000029 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000030                    USAGE IS COMPUTATIONAL-5.
000031 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000032                    USAGE IS COMPUTATIONAL-5.
000033 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000034                    USAGE IS COMPUTATIONAL-5.
000035 PROCEDURE DIVISION
000036     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000037     EVALUATE POWER--MESSAGE
000038     WHEN 1024
000039         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000040     WHEN 1036
000041         CALL "REPMEMO1-OPENED"
000042     WHEN 1038
000043         CALL "REPMEMO1-START"
000044     END-EVALUATE
000045     EXIT PROGRAM.
000046 IDENTIFICATION DIVISION.
000047 PROGRAM-ID. "REPMEMO1-OPENED".
000048 ENVIRONMENT DIVISION.
000049 DATA        DIVISION.
000050
000051 WORKING-STORAGE SECTION.
000052 77  MEM-LINE      PIC X(150).
000053 77  MEM-COMPANY   PIC X(80) VALUE "COBTOOLS.COM".
000054
000055 01  LINEA1.
000056     02 FILLER PIC X(80) VALUE "<MEMO TOP='+0' WIDTH='2'>".
000057 01  LINEA2.
000058     02 FILLER PIC X(80) VALUE "This sample show how build a MEMO<eol>".
000059 01  LINEA3.
000060     02 FILLER PIC X(80) VALUE "inside a report called by /cobpdf?<EOL>".
000061 01  LINEA4.
000062     02 FILLER PIC X(80) VALUE "This program is repmemo1.cbl<EOL>".
000063 01  LINEA5.
000064     02 FILLER PIC X(80) VALUE "And the MEMO is build in the BODY<EOL>".
000065 01  LINEA6.
000066     02 FILLER PIC X(80) VALUE "section, with all parameters<EOL>".
000067 01  LINEA7.
000068     02 FILLER PIC X(80) VALUE "inline<EOL>".
000069 01  LINEA8.
000070     02 FILLER PIC X(80) VALUE "</MEMO>".
000071
000072 77  RALLA      PIC X(10) VALUE "_<EOL>".
000073
000074 PROCEDURE   DIVISION.
000075 INICIO.
000076     MOVE HTTP-DATA-INP  TO WEB-DATA.
000077
000078     PERFORM TPL-OPEN-FILE.         
000079           
000080     PERFORM 500-TITLES.
000081           
000082     PERFORM 100-WRITE-MEMO.
000083
000084     CLOSE CGI-OUT.
000085
000086     GO TO EXIT-PROG.
000087
000088 100-WRITE-MEMO.
000089     WRITE R-CGI-OUT FROM LINEA1.
000090     WRITE R-CGI-OUT FROM LINEA2.
000091     WRITE R-CGI-OUT FROM LINEA3,
000092     WRITE R-CGI-OUT FROM RALLA.
000093     WRITE R-CGI-OUT FROM LINEA4.
000094     WRITE R-CGI-OUT FROM RALLA.
000095     WRITE R-CGI-OUT FROM LINEA5.
000096     WRITE R-CGI-OUT FROM LINEA6.
000097     WRITE R-CGI-OUT FROM LINEA7.
000098     WRITE R-CGI-OUT FROM RALLA.
000099     WRITE R-CGI-OUT FROM LINEA8.
000100       
000101           
000102        
000103 500-TITLES.
000104     MOVE SPACES TO MEM-LINE.
000105     STRING "<VAR NAME-COMPANY='", MEM-COMPANY, "'>"
000106            DELIMITED BY SIZE INTO MEM-LINE.
000107     WRITE R-CGI-OUT FROM MEM-LINE.
000108
000109     MOVE "<include 'reps\repmemo1.def'>" TO MEM-LINE.
000110     WRITE R-CGI-OUT FROM MEM-LINE.
000111
000112
000113
000114     COPY "CGILIB\TEMPLATE.FDT".
000115
000116 EXIT-PROG.
000117     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE REPMEMO1 .
000118
000119 END PROGRAM "REPMEMO1-OPENED".
000120 IDENTIFICATION DIVISION.
000121 PROGRAM-ID. "REPMEMO1-START".
000122 PROCEDURE DIVISION.
000123     EXIT PROGRAM.
000124 END PROGRAM "REPMEMO1-START".
000125 END PROGRAM "REPMEMO1".
