000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "REPMEMO2".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-REPMEMO2 IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--REPMEMO2.
000015     03 REPMEMO2 PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  REPMEMO2 USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-REPMEMO2.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02  FIELD1                PIC X(01).
000025     02  FIELD2                PIC X(01).
000026 CONSTANT SECTION.
000027 LINKAGE SECTION.
000028 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000029 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000030                    USAGE IS COMPUTATIONAL-5.
000031 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000032                    USAGE IS COMPUTATIONAL-5.
000033 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000034                    USAGE IS COMPUTATIONAL-5.
000035 PROCEDURE DIVISION
000036     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000037     EVALUATE POWER--MESSAGE
000038     WHEN 1024
000039         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000040     WHEN 1036
000041         CALL "REPMEMO2-OPENED"
000042     WHEN 1038
000043         CALL "REPMEMO2-START"
000044     END-EVALUATE
000045     EXIT PROGRAM.
000046 IDENTIFICATION DIVISION.
000047 PROGRAM-ID. "REPMEMO2-OPENED".
000048 ENVIRONMENT DIVISION.
000049 DATA        DIVISION.
000050
000051 WORKING-STORAGE SECTION.
000052
000053 77  MEM-LINE      PIC X(150).
000054 77  MEM-COMPANY   PIC X(80) VALUE "COBTOOLS.COM".
000055
000056 77  LINEA1        PIC X(80) VALUE "<MEMO VAR='MEMO1'>".
000057 77  LINEA2        PIC X(80) VALUE "This sample show how build a MEMO<eol>".
000058 77  LINEA3        PIC X(80) VALUE "inside a report called by /cobpdf?<eol>".
000059 77  LINEA4        PIC X(80) VALUE "_<eol>".
000060 77  LINEA5        PIC X(80) VALUE "This program is repmemo2.cbl<eol>".
000061 77  LINEA6        PIC X(80) VALUE "And the MEMO is printted by band<eol>".
000062 77  LINEA7        PIC X(80) VALUE "with a memo tag inside<eol>".
000063 77  LINEA8        PIC X(80) VALUE "</MEMO>".
000064 77  LINEA9        PIC X(80) VALUE "<PRINT 'band-memo'>".
000065
000066 PROCEDURE   DIVISION.
000067 INICIO.
000068     MOVE HTTP-DATA-INP  TO WEB-DATA.
000069
000070     PERFORM TPL-OPEN-FILE.         
000071           
000072     PERFORM 500-TITLES.
000073           
000074     PERFORM 100-WRITE-MEMO.
000075
000076     CLOSE CGI-OUT.
000077
000078     GO TO EXIT-PROG.
000079
000080 100-WRITE-MEMO.
000081     WRITE R-CGI-OUT FROM LINEA1.
000082     WRITE R-CGI-OUT FROM LINEA2.
000083     WRITE R-CGI-OUT FROM LINEA3.
000084     WRITE R-CGI-OUT FROM LINEA4.
000085     WRITE R-CGI-OUT FROM LINEA5.
000086     WRITE R-CGI-OUT FROM LINEA4.
000087     WRITE R-CGI-OUT FROM LINEA6.
000088     WRITE R-CGI-OUT FROM LINEA7.
000089     WRITE R-CGI-OUT FROM LINEA8.
000090           
000091     WRITE R-CGI-OUT FROM LINEA9.
000092       
000093           
000094           
000095 500-TITLES.
000096     MOVE SPACES TO MEM-LINE.
000097     STRING "<VAR NAME-COMPANY='", MEM-COMPANY, "'>"
000098            DELIMITED BY SIZE INTO MEM-LINE.
000099     WRITE R-CGI-OUT FROM MEM-LINE.
000100
000101     MOVE "<include 'reps\repmemo2.def'>" TO MEM-LINE.
000102     WRITE R-CGI-OUT FROM MEM-LINE.
000103
000104
000105     COPY "CGILIB\TEMPLATE.FDT".
000106
000107 EXIT-PROG.
000108     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE REPMEMO2 .
000109
000110 END PROGRAM "REPMEMO2-OPENED".
000111 IDENTIFICATION DIVISION.
000112 PROGRAM-ID. "REPMEMO2-START".
000113 PROCEDURE DIVISION.
000114     EXIT PROGRAM.
000115 END PROGRAM "REPMEMO2-START".
000116 END PROGRAM "REPMEMO2".
