000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID. "SESIONES".
000003 ENVIRONMENT DIVISION.
000004 CONFIGURATION SECTION.
000005 SPECIAL-NAMES.
000006 INPUT-OUTPUT SECTION.
000007 FILE-CONTROL.
000008     COPY "CGILIB\CGI-OUT.SEL".
000009 DATA DIVISION.
000010 BASED-STORAGE SECTION.
000011 FILE SECTION.
000012     COPY "CGILIB\CGI-OUT.FD".
000013 WORKING-STORAGE SECTION.
000014 01 POWER--HPOWOBJS-SESIONES IS GLOBAL IS EXTERNAL.
000015   02 POWER--HPOWOBJ--SESIONES.
000015     03 SESIONES PIC S9(9) COMP-5.
000015     03 POW-P001 REDEFINES  SESIONES USAGE POINTER.
000016 01  REDEFINES POWER--HPOWOBJS-SESIONES.
000017   02  POWER--HPOWOBJS PICTURE IS X(4) OCCURS 1 TIMES.
000018 01  POWER-HPOWOBJIDX PIC S9(9) COMP-5.
000019 COPY "CGILIB\LS-HTTP-PW3.FDT".
000020
000021 COPY "CGILIB\TEMPLATE.WSS".
000022
000023 01  WEB-DATA IS GLOBAL.
000024     02  FUNC                  PIC X(10).
000025     02  VISITAS               PIC 9(05).
000026
000027 CONSTANT SECTION.
000028 LINKAGE SECTION.
000029 01  POWER--HPOWOBJ IS GLOBAL PICTURE IS  X(4).
000030 01  POWER--ID      IS GLOBAL PICTURE IS S9(9)
000031                    USAGE IS COMPUTATIONAL-5.
000032 01  POWER--NOTIFY  IS GLOBAL PICTURE IS S9(9)
000033                    USAGE IS COMPUTATIONAL-5.
000034 01  POWER--MESSAGE IS GLOBAL PICTURE IS S9(9)
000035                    USAGE IS COMPUTATIONAL-5.
000036 PROCEDURE DIVISION
000037     USING POWER--HPOWOBJ POWER--ID POWER--MESSAGE POWER--NOTIFY.
000038     EVALUATE POWER--MESSAGE
000039     WHEN 1024
000040         MOVE POWER--HPOWOBJ TO POWER--HPOWOBJS (POWER--ID + 1)
000041     WHEN 1036
000042         CALL "SESIONES-OPENED"
000043     WHEN 1038
000044         CALL "SESIONES-START"
000045     END-EVALUATE
000046     EXIT PROGRAM.
000047 IDENTIFICATION DIVISION.
000048 PROGRAM-ID. "SESIONES-OPENED".
000049 ENVIRONMENT DIVISION.
000050 DATA        DIVISION.
000051
000052 WORKING-STORAGE SECTION.
000053 77  IK                        PIC X.
000054 77  L-VISITAS                 PIC ZZZZZ9.
000055
000056 PROCEDURE   DIVISION.
000057 INICIO.
000058     MOVE HTTP-DATA-INP  TO WEB-DATA.
000059
000060     PERFORM TPL-OPEN-FILE.         
000061           
000062     MOVE "tpl\sesiones.html" TO TPL-FILENAME.
000063     PERFORM TPL-ADD-FILENAME.
000064           
000065     IF FUNC = "INICIO"
000066        PERFORM 100-INICIO.
000067              
000068     IF FUNC = "VISITA"
000069        PERFORM 200-VISITA.
000070
000071     CLOSE CGI-OUT.
000072
000073     GO TO EXIT-PROG.
000074
000075 100-INICIO.
000076     MOVE "VISITAS" TO SESS-NAME.
000077     MOVE 1 TO VISITAS.
000078     MOVE VISITAS TO SESS-VALUE.
000079     PERFORM TPL-ADD-SESSION.
000080           
000081     MOVE "NUMVISITAS" TO VAR-NAME.
000082     MOVE VISITAS TO L-VISITAS.
000083     MOVE L-VISITAS TO VAR-VALUE.
000084     PERFORM TPL-ADD-VAR.
000085       
000086 200-VISITA.
000087     MOVE "VISITAS" TO SESS-NAME.
000088     ADD 1 TO VISITAS.
000089     MOVE VISITAS TO SESS-VALUE.
000090     PERFORM TPL-ADD-SESSION.
000091           
000092     MOVE "NUMVISITAS" TO VAR-NAME.
000093     MOVE VISITAS TO L-VISITAS.
000094     MOVE L-VISITAS TO VAR-VALUE.
000095     PERFORM TPL-ADD-VAR.
000096
000097
000098
000099     COPY "CGILIB\TEMPLATE.FDT".
000100
000101 EXIT-PROG.
000102     CALL "XPOWCSCLOSEMYSELF"  USING BY VALUE SESIONES .
000103
000104 END PROGRAM "SESIONES-OPENED".
000105 IDENTIFICATION DIVISION.
000106 PROGRAM-ID. "SESIONES-START".
000107 PROCEDURE DIVISION.
000108     EXIT PROGRAM.
000109 END PROGRAM "SESIONES-START".
000110 END PROGRAM "SESIONES".
